<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>VCard21ParserImpl</name>
    <filename>classVCard21ParserImpl.html</filename>
  </compound>
  <compound kind="class">
    <name>VCardLineX</name>
    <filename>classVCardLineX.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KABC</name>
    <filename>namespaceKABC.html</filename>
    <namespace>KABC::LDIFConverter</namespace>
    <namespace>KABC::SortingTraits</namespace>
    <class kind="class">KABC::Address</class>
    <class kind="class">KABC::AddressBook</class>
    <class kind="class">KABC::AddresseeItem</class>
    <class kind="class">KABC::AddresseeDialog</class>
    <class kind="class">KABC::AddresseeList</class>
    <class kind="class">KABC::AddressLineEdit</class>
    <class kind="class">KABC::Agent</class>
    <class kind="class">KABC::DistributionList</class>
    <class kind="class">KABC::DistributionListManager</class>
    <class kind="class">KABC::DistributionListWatcher</class>
    <class kind="class">KABC::DistributionListDialog</class>
    <class kind="class">KABC::EmailSelector</class>
    <class kind="class">KABC::DistributionListEditorWidget</class>
    <class kind="class">KABC::DistributionListEditor</class>
    <class kind="class">KABC::ErrorHandler</class>
    <class kind="class">KABC::ConsoleErrorHandler</class>
    <class kind="class">KABC::GUIErrorHandler</class>
    <class kind="class">KABC::GuiErrorHandler</class>
    <class kind="class">KABC::Format</class>
    <class kind="class">KABC::FormatFactory</class>
    <class kind="class">KABC::FormatPlugin</class>
    <class kind="class">KABC::BinaryFormat</class>
    <class kind="class">KABC::Geo</class>
    <class kind="class">KABC::Key</class>
    <class kind="class">KABC::LdapObject</class>
    <class kind="class">KABC::LdapClient</class>
    <class kind="struct">KABC::LdapResult</class>
    <class kind="class">KABC::LdapSearch</class>
    <class kind="class">KABC::LdapConfigWidget</class>
    <class kind="class">KABC::LDAPUrl</class>
    <class kind="class">KABC::LDIF</class>
    <class kind="class">KABC::Lock</class>
    <class kind="class">KABC::LockNull</class>
    <class kind="class">KABC::PhoneNumber</class>
    <class kind="class">KABC::ResourceFile</class>
    <class kind="class">KABC::Ticket</class>
    <class kind="class">KABC::ResourceSelectDialog</class>
    <class kind="class">KABC::Addressee</class>
    <class kind="class">KABC::SortMode</class>
    <class kind="class">KABC::Sound</class>
    <class kind="class">KABC::StdAddressBook</class>
    <class kind="class">KABC::TimeZone</class>
    <class kind="class">KABC::VCard21Parser</class>
    <class kind="class">KABC::VCardConverter</class>
    <class kind="class">KABC::VCardFormat</class>
    <class kind="class">KABC::VCardFormatImpl</class>
    <class kind="class">KABC::VCardFormatPlugin</class>
    <member kind="enumeration">
      <type></type>
      <name>SortingCriterion</name>
      <anchorfile>namespaceKABC.html</anchorfile>
      <anchor>a19574432f759bf8303d694fb47ccc20b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KABC_EXPORT TQString</type>
      <name>dateToVCardString</name>
      <anchorfile>namespaceKABC.html</anchorfile>
      <anchor>a96ceb81934e59a838909435a1f8b211c</anchor>
      <arglist>(const TQDateTime &amp;dateTime)</arglist>
    </member>
    <member kind="function">
      <type>KABC_EXPORT TQString</type>
      <name>dateToVCardString</name>
      <anchorfile>namespaceKABC.html</anchorfile>
      <anchor>a332e2c07553f82bfa1d25ff0cf4a64cf</anchor>
      <arglist>(const TQDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>KABC_EXPORT TQDateTime</type>
      <name>VCardStringToDate</name>
      <anchorfile>namespaceKABC.html</anchorfile>
      <anchor>a68a999c32d71d22c5c0e3aedf1e8fb88</anchor>
      <arglist>(const TQString &amp;dateString)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::Address</name>
    <filename>classKABC_1_1Address.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Type</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a883e40e103cb03bd028b8301e6b95101</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TQValueList&lt; Address &gt;</type>
      <name>List</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>ad9f1457c7976126f7433adeca9227d9d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Address</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a63f910c09d93bdd16d3744e47d13dc0e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Address</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a227045c029594a413665bb379b11e6b7</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a7c8be4b1d1a33ed2fae7d774db7b9f64</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>aab133382a609dd232bb32d1375f87c63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a56711c61169becb647adc391c180fa3d</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a4f64c36659bab3b1a00aba5f0302130d</anchor>
      <arglist>(int type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>acb8835834bb13ae40da29d08330872d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>typeLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>addd4edcbae13cbaa99101cc668db6733</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostOfficeBox</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>ad62a4d1b568774d70a710356dd1ab290</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>postOfficeBox</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a8af176a0fb8295e6b636fc5a8753b128</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExtended</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a0dbc6cabed960ea43007eddd7764c08d</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>extended</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>ac74b9aec0343697d15ad7edc7ff56fda</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStreet</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>abab63c18dfb526b83b7f374e90e42a7b</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>street</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>aca01a3ee7c495fa0c4bfc4c3a56e2a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLocality</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a364b960f02c3780779465e091f85b922</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>locality</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a250c46faaffc1792ee479b08301d9c49</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRegion</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a9718ea48814c073b36308f14464071c1</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>region</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a0e73590513a885360372a8fc73a94797</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostalCode</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a077faab82dfb184357d0ec13368c3c7d</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>postalCode</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a986eac61a21d275a7a9a83ccd673c1a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCountry</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>ad431c283edd0d949301b7c2c7a5c52e5</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>country</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a3f0854e7c025f8c3495602e2709f0716</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a9feaf0353746cd22a8ea4ec9fe977d00</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>label</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a4a0c97719e73ccabda2cb402529d7048</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a4b112d953ba176ad1fe7869764c3e6af</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>formattedAddress</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a051481f0c87fd66d74c0ee2befa1db54</anchor>
      <arglist>(const TQString &amp;realName=TQString::null, const TQString &amp;orgaName=TQString::null) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>postOfficeBoxLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a166fdfb174286910b2b5ba334766603f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>extendedLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a0e04cbe84148ed543ce3f78c947e992a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>streetLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>adcf471931ecc48c9cbc646e239cf11ca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>localityLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>aff0b63acafbe149a158915a7b47042b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>regionLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a7a4b749b3cb049d886db5687c9cf3c12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>postalCodeLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>acd09137fe62ca0567d5aa1cd26807349</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>countryLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>ab159e22aca20009e20d9aea1c5fa0697</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>labelLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a21678ab17ea0a638df20899dfbba6661</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TypeList</type>
      <name>typeList</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a00d5bbde575bb730452dce45d8511754</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>typeLabel</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a92e519e6d6184ddd86087fa9a21a7618</anchor>
      <arglist>(int type)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>countryToISO</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>ab825ebc7581405fec7db4a87966eedf3</anchor>
      <arglist>(const TQString &amp;cname)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>ISOtoCountry</name>
      <anchorfile>classKABC_1_1Address.html</anchorfile>
      <anchor>a222ecc0c317da22d892e15db97e43685</anchor>
      <arglist>(const TQString &amp;ISOname)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::AddressBook</name>
    <filename>classKABC_1_1AddressBook.html</filename>
    <class kind="class">KABC::AddressBook::ConstIterator</class>
    <class kind="class">KABC::AddressBook::Iterator</class>
    <member kind="signal">
      <type>void</type>
      <name>addressBookChanged</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>aa738c94bfa951cbf64db3396b58b43f6</anchor>
      <arglist>(AddressBook *addressBook)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>addressBookLocked</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a49ed8b561af68fe247a3aecbe66c669c</anchor>
      <arglist>(AddressBook *addressBook)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>addressBookUnlocked</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a59fc6f63cfcf507d2aa52d1f668a0bab</anchor>
      <arglist>(AddressBook *addressBook)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loadingFinished</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>acd4841d5faad15f73f1899fc590fa618</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>savingFinished</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a202d2d6ab22c01d0f719f5e543f3c652</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressBook</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>ad2d2cebd2a3aa00130f769684bc8ddea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressBook</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>af80a9efa9b4a28058d8f46a36932a475</anchor>
      <arglist>(const TQString &amp;config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~AddressBook</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a5638d9e7361248f33d52894f65597d47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Ticket *</type>
      <name>requestSaveTicket</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a8aae86f41a8051843986a439580c4d7b</anchor>
      <arglist>(Resource *resource=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>releaseSaveTicket</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a5f425cc17a3c9cb1ae10c1b0fb976365</anchor>
      <arglist>(Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a0345282016ed86ea0c0251c5f4a928b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>asyncLoad</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a9ac36cfbc39c7dddc6cec12f4a6fcccd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>aeb7fb853b031b2e4479e5deeae4111dc</anchor>
      <arglist>(Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>asyncSave</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a319d89ba2ef996bdaa379a9b0ccf1f38</anchor>
      <arglist>(Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>ConstIterator</type>
      <name>begin</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>afb104b4ab947d965f9ec6cfd51c558a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>begin</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>af26b4f40c66491c476f0650ba4209b37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ConstIterator</type>
      <name>end</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>ad1c58677c49486bb5c6da90a729e1839</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>end</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a7f3baa6de71649992f33a26c6c960f00</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>ab6a206e49852b979de323083af56fafb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertAddressee</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a01d22a3abf8f38d9a0c37549c8b7b7f4</anchor>
      <arglist>(const Addressee &amp;addr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAddressee</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a408e534207cfa90fe7c27ec56a2d079a</anchor>
      <arglist>(const Addressee &amp;addr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAddressee</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a4e752097185f7351923f8b2591bd3d31</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>find</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a0c9b99421419e650500fd00eb491f607</anchor>
      <arglist>(const Addressee &amp;addr)</arglist>
    </member>
    <member kind="function">
      <type>Addressee</type>
      <name>findByUid</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>af19148fadeb04e4b74439a4e47c8ba8f</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>Addressee::List</type>
      <name>allAddressees</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>ac205b94112124ddf0de6425e92d4ac6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Addressee::List</type>
      <name>findByName</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>af12d7bb65204f20a0cb5274c80b5b9d6</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Addressee::List</type>
      <name>findByEmail</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a1c3f9f386f752576e3f86dc2bbc22518</anchor>
      <arglist>(const TQString &amp;email)</arglist>
    </member>
    <member kind="function">
      <type>Addressee::List</type>
      <name>findByCategory</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>af168101bb4dbd68516e622535ac4ed4f</anchor>
      <arglist>(const TQString &amp;category)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>identifier</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>ae589c753ee6ff6a8e55c367ae5055f3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Field::List</type>
      <name>fields</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>ad7d602052656cbe90af90b86ed653ed6</anchor>
      <arglist>(int category=Field::All)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addCustomField</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>ad38d9d8728df953c7c2949453a89bfaf</anchor>
      <arglist>(const TQString &amp;label, int category=Field::All, const TQString &amp;key=TQString::null, const TQString &amp;app=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addResource</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a4f3225320313961660dc0d1ac799359c</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeResource</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>ae8b9c7d60556e1da704264309e13af6a</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; Resource &gt;</type>
      <name>resources</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a34c96110c5f979901dd78ac224c7ca4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setErrorHandler</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>aaefb221229e848037cd15363d71b6737</anchor>
      <arglist>(ErrorHandler *errorHandler)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a20e4ea6096981cf1b4777c382722dc02</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cleanUp</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a9bb9da5bc0628328690399ae18d6aad2</anchor>
      <arglist>() KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>a1d10fff4755cf7c76a9d9cc1e39a7087</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadingHasFinished</name>
      <anchorfile>classKABC_1_1AddressBook.html</anchorfile>
      <anchor>ae88b60375d485c7bafe01323055e7b1b</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::AddressBook::ConstIterator</name>
    <filename>classKABC_1_1AddressBook_1_1ConstIterator.html</filename>
  </compound>
  <compound kind="class">
    <name>KABC::AddressBook::Iterator</name>
    <filename>classKABC_1_1AddressBook_1_1Iterator.html</filename>
  </compound>
  <compound kind="class">
    <name>KABC::AddresseeItem</name>
    <filename>classKABC_1_1AddresseeItem.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>columns</name>
      <anchorfile>classKABC_1_1AddresseeItem.html</anchorfile>
      <anchor>a4cfa163e5d29c7701f0035074b350e19</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddresseeItem</name>
      <anchorfile>classKABC_1_1AddresseeItem.html</anchorfile>
      <anchor>a666f40a40966c9a55a75c5f1bb0cde18</anchor>
      <arglist>(TQListView *parent, const Addressee &amp;addressee)</arglist>
    </member>
    <member kind="function">
      <type>Addressee</type>
      <name>addressee</name>
      <anchorfile>classKABC_1_1AddresseeItem.html</anchorfile>
      <anchor>ad61d71bb8b827629a8725cf90ce6323f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>key</name>
      <anchorfile>classKABC_1_1AddresseeItem.html</anchorfile>
      <anchor>a692c69e75384024333fde87ff4a12067</anchor>
      <arglist>(int column, bool ascending) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::AddresseeDialog</name>
    <filename>classKABC_1_1AddresseeDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>AddresseeDialog</name>
      <anchorfile>classKABC_1_1AddresseeDialog.html</anchorfile>
      <anchor>a4f248f8ed351c2a41fc24426e74401ed</anchor>
      <arglist>(TQWidget *parent=0, bool multiple=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~AddresseeDialog</name>
      <anchorfile>classKABC_1_1AddresseeDialog.html</anchorfile>
      <anchor>a6d87aa0da73225ced0956260ea10aade</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Addressee</type>
      <name>addressee</name>
      <anchorfile>classKABC_1_1AddresseeDialog.html</anchorfile>
      <anchor>acad15d0c32a057bc66c36d3ec89e20e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Addressee::List</type>
      <name>addressees</name>
      <anchorfile>classKABC_1_1AddresseeDialog.html</anchorfile>
      <anchor>ad402df61e386d6fdf98f22d8096edd58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Addressee</type>
      <name>getAddressee</name>
      <anchorfile>classKABC_1_1AddresseeDialog.html</anchorfile>
      <anchor>a5c307c84fb6e399a3f7f6c95ee4761e5</anchor>
      <arglist>(TQWidget *parent)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Addressee::List</type>
      <name>getAddressees</name>
      <anchorfile>classKABC_1_1AddresseeDialog.html</anchorfile>
      <anchor>a7a852ac164f36d0b5edafa3ef99563e2</anchor>
      <arglist>(TQWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::AddresseeList</name>
    <filename>classKABC_1_1AddresseeList.html</filename>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchorfile>classKABC_1_1AddresseeList.html</anchorfile>
      <anchor>a958e6c120620b4324748eafd8fa26376</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReverseSorting</name>
      <anchorfile>classKABC_1_1AddresseeList.html</anchorfile>
      <anchor>a1cc227a6a534a27c5c2e7d39cf7a55e0</anchor>
      <arglist>(bool r=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reverseSorting</name>
      <anchorfile>classKABC_1_1AddresseeList.html</anchorfile>
      <anchor>a04d38d7d79007ec3aa8219c2989a4f2f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sortBy</name>
      <anchorfile>classKABC_1_1AddresseeList.html</anchorfile>
      <anchor>abcb081c6fa45236e9a416b9a1690c4c1</anchor>
      <arglist>(SortingCriterion c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sortByField</name>
      <anchorfile>classKABC_1_1AddresseeList.html</anchorfile>
      <anchor>adff80eab259560b16f3686eb625d1d35</anchor>
      <arglist>(Field *field=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sortByMode</name>
      <anchorfile>classKABC_1_1AddresseeList.html</anchorfile>
      <anchor>a629bfffa116d90ed933449abf1f15676</anchor>
      <arglist>(SortMode *mode=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sort</name>
      <anchorfile>classKABC_1_1AddresseeList.html</anchorfile>
      <anchor>a8f96808948654ab93179b250d4e011b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sortByTrait</name>
      <anchorfile>classKABC_1_1AddresseeList.html</anchorfile>
      <anchor>a9bfd01513c4972209f1a2dfae55e40b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SortingCriterion</type>
      <name>sortingCriterion</name>
      <anchorfile>classKABC_1_1AddresseeList.html</anchorfile>
      <anchor>a3db441ce0996dbf803ad4e1225f9d11f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Field *</type>
      <name>sortingField</name>
      <anchorfile>classKABC_1_1AddresseeList.html</anchorfile>
      <anchor>a61c8d068aa98dea7d850a352b59cc9b6</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::AddressLineEdit</name>
    <filename>classKABC_1_1AddressLineEdit.html</filename>
    <base>KLineEdit</base>
    <member kind="slot">
      <type>void</type>
      <name>cursorAtEnd</name>
      <anchorfile>classKABC_1_1AddressLineEdit.html</anchorfile>
      <anchor>a9379c58fe284f70ed2860915068a379f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>enableCompletion</name>
      <anchorfile>classKABC_1_1AddressLineEdit.html</anchorfile>
      <anchor>aab41b22f81f97e62e7a2bff02958115b</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setFont</name>
      <anchorfile>classKABC_1_1AddressLineEdit.html</anchorfile>
      <anchor>a7fdaf318a95fc3cb49b563ebd1d74d5a</anchor>
      <arglist>(const TQFont &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>loadAddresses</name>
      <anchorfile>classKABC_1_1AddressLineEdit.html</anchorfile>
      <anchor>aa94c8f71ca6e252af96225b15f2dd72b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::Agent</name>
    <filename>classKABC_1_1Agent.html</filename>
    <member kind="function">
      <type></type>
      <name>Agent</name>
      <anchorfile>classKABC_1_1Agent.html</anchorfile>
      <anchor>a24a60f1d260bf19a4f7f8a5f36881d3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Agent</name>
      <anchorfile>classKABC_1_1Agent.html</anchorfile>
      <anchor>a4b08839c41447c6ebf2949a7b5a5d4aa</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Agent</name>
      <anchorfile>classKABC_1_1Agent.html</anchorfile>
      <anchor>a7d564194738c50ffdac87b29c46ded28</anchor>
      <arglist>(Addressee *addressee)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Agent</name>
      <anchorfile>classKABC_1_1Agent.html</anchorfile>
      <anchor>ab8dd8d152605cf1339fed595376e83cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUrl</name>
      <anchorfile>classKABC_1_1Agent.html</anchorfile>
      <anchor>a5cf4f8d5c8328a18c8a5e90847f14d73</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAddressee</name>
      <anchorfile>classKABC_1_1Agent.html</anchorfile>
      <anchor>a0459fe4af3e9d4fc247b73ac3c650b80</anchor>
      <arglist>(Addressee *addressee)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIntern</name>
      <anchorfile>classKABC_1_1Agent.html</anchorfile>
      <anchor>ad19933d6c0e2db3c47b491cdbded72fe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>url</name>
      <anchorfile>classKABC_1_1Agent.html</anchorfile>
      <anchor>afccf85e1ed94c3a3fb538914d7252ea0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Addressee *</type>
      <name>addressee</name>
      <anchorfile>classKABC_1_1Agent.html</anchorfile>
      <anchor>aa9dcb4cd08f48b0f24e474efb4c83730</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>asString</name>
      <anchorfile>classKABC_1_1Agent.html</anchorfile>
      <anchor>a9beb6120804f4ed42311502069d6d29b</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::DistributionList</name>
    <filename>classKABC_1_1DistributionList.html</filename>
    <class kind="struct">KABC::DistributionList::Entry</class>
    <member kind="function">
      <type></type>
      <name>DistributionList</name>
      <anchorfile>classKABC_1_1DistributionList.html</anchorfile>
      <anchor>aa4e5ef609bbcb1bfa7b11f97a699c3a9</anchor>
      <arglist>(DistributionListManager *manager, const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DistributionList</name>
      <anchorfile>classKABC_1_1DistributionList.html</anchorfile>
      <anchor>a236ddf21eb27fc60b14585205a2612bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKABC_1_1DistributionList.html</anchorfile>
      <anchor>a0284f068d38c899e9437ce727d0d93f2</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classKABC_1_1DistributionList.html</anchorfile>
      <anchor>a3daafde13914f7ab7bd6c4aa0d03a901</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertEntry</name>
      <anchorfile>classKABC_1_1DistributionList.html</anchorfile>
      <anchor>a6870adf96bf1fe38ff468a777a08217b</anchor>
      <arglist>(const Addressee &amp;, const TQString &amp;email=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchorfile>classKABC_1_1DistributionList.html</anchorfile>
      <anchor>ac96375e947851a78afa735df11c26317</anchor>
      <arglist>(const Addressee &amp;, const TQString &amp;email=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>emails</name>
      <anchorfile>classKABC_1_1DistributionList.html</anchorfile>
      <anchor>a86f472ebc37594fce5966d7001ff92c9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Entry::List</type>
      <name>entries</name>
      <anchorfile>classKABC_1_1DistributionList.html</anchorfile>
      <anchor>a0383967fda1fba81d78174d2c4fc93ad</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KABC::DistributionList::Entry</name>
    <filename>structKABC_1_1DistributionList_1_1Entry.html</filename>
  </compound>
  <compound kind="class">
    <name>KABC::DistributionListManager</name>
    <filename>classKABC_1_1DistributionListManager.html</filename>
    <member kind="function">
      <type></type>
      <name>DistributionListManager</name>
      <anchorfile>classKABC_1_1DistributionListManager.html</anchorfile>
      <anchor>add6aa971a061b1a3fb982979bf79634d</anchor>
      <arglist>(AddressBook *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DistributionListManager</name>
      <anchorfile>classKABC_1_1DistributionListManager.html</anchorfile>
      <anchor>a1ffb225f8e1828cf0a380736ea1c56e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DistributionList *</type>
      <name>list</name>
      <anchorfile>classKABC_1_1DistributionListManager.html</anchorfile>
      <anchor>a0ffaae4fc9f449a1b4c2e8e670092f81</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert</name>
      <anchorfile>classKABC_1_1DistributionListManager.html</anchorfile>
      <anchor>a8a10ae8eee130b98360795d7258443d8</anchor>
      <arglist>(DistributionList *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKABC_1_1DistributionListManager.html</anchorfile>
      <anchor>a95baf3d9405d5226a3ddab55dcc67353</anchor>
      <arglist>(DistributionList *)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>listNames</name>
      <anchorfile>classKABC_1_1DistributionListManager.html</anchorfile>
      <anchor>ad7cd8c490a6660286c0f9a23fa8a7e18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKABC_1_1DistributionListManager.html</anchorfile>
      <anchor>a5bf04db7d2bc51a9aa33ae35f38f52c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKABC_1_1DistributionListManager.html</anchorfile>
      <anchor>a952e792d4275c04d3989b5b463bf40cc</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::DistributionListWatcher</name>
    <filename>classKABC_1_1DistributionListWatcher.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKABC_1_1DistributionListWatcher.html</anchorfile>
      <anchor>aff5d85deb460f83bde27397f9a7fe154</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DistributionListWatcher *</type>
      <name>self</name>
      <anchorfile>classKABC_1_1DistributionListWatcher.html</anchorfile>
      <anchor>a876161a9546396cac2538498ff822e11</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::DistributionListDialog</name>
    <filename>classKABC_1_1DistributionListDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>DistributionListDialog</name>
      <anchorfile>classKABC_1_1DistributionListDialog.html</anchorfile>
      <anchor>aace1ca060b17bfbe589eded4e2a13f68</anchor>
      <arglist>(AddressBook *ab, TQWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DistributionListDialog</name>
      <anchorfile>classKABC_1_1DistributionListDialog.html</anchorfile>
      <anchor>ab0599b3c0d12466d09fdb025098b22ab</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::EmailSelector</name>
    <filename>classKABC_1_1EmailSelector.html</filename>
    <base>KDialogBase</base>
  </compound>
  <compound kind="class">
    <name>KABC::DistributionListEditorWidget</name>
    <filename>classKABC_1_1DistributionListEditorWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>KABC::DistributionListEditor</name>
    <filename>classKABC_1_1DistributionListEditor.html</filename>
  </compound>
  <compound kind="class">
    <name>KABC::ErrorHandler</name>
    <filename>classKABC_1_1ErrorHandler.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>error</name>
      <anchorfile>classKABC_1_1ErrorHandler.html</anchorfile>
      <anchor>a44424c5a7a29c719b36e3c87cf05b1b8</anchor>
      <arglist>(const TQString &amp;msg)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::ConsoleErrorHandler</name>
    <filename>classKABC_1_1ConsoleErrorHandler.html</filename>
    <base>KABC::ErrorHandler</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>error</name>
      <anchorfile>classKABC_1_1ConsoleErrorHandler.html</anchorfile>
      <anchor>a9f4568a92bbd3736b14e3d0843e896b6</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::GUIErrorHandler</name>
    <filename>classKABC_1_1GUIErrorHandler.html</filename>
    <base>KABC::ErrorHandler</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>error</name>
      <anchorfile>classKABC_1_1GUIErrorHandler.html</anchorfile>
      <anchor>a8d7c28818a5e75057d811f094051eaf2</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::GuiErrorHandler</name>
    <filename>classKABC_1_1GuiErrorHandler.html</filename>
    <base>KABC::ErrorHandler</base>
    <member kind="function">
      <type></type>
      <name>GuiErrorHandler</name>
      <anchorfile>classKABC_1_1GuiErrorHandler.html</anchorfile>
      <anchor>ac9d36a51c614f5af233110ac7537bc35</anchor>
      <arglist>(TQWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>error</name>
      <anchorfile>classKABC_1_1GuiErrorHandler.html</anchorfile>
      <anchor>a67aa9ea86d3dd0a959c47c0d4d6a09ad</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::Format</name>
    <filename>classKABC_1_1Format.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>load</name>
      <anchorfile>classKABC_1_1Format.html</anchorfile>
      <anchor>a8ba4ae1acf54f39f576a7bf8dfd28cac</anchor>
      <arglist>(AddressBook *, const TQString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classKABC_1_1Format.html</anchorfile>
      <anchor>a1c64601dbbe4ba0624df36bb31f971e4</anchor>
      <arglist>(AddressBook *, const TQString &amp;fileName)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::FormatFactory</name>
    <filename>classKABC_1_1FormatFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>~FormatFactory</name>
      <anchorfile>classKABC_1_1FormatFactory.html</anchorfile>
      <anchor>a189f74b001cfcb795af49d97220a12af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>FormatPlugin *</type>
      <name>format</name>
      <anchorfile>classKABC_1_1FormatFactory.html</anchorfile>
      <anchor>aaed407d2ac60338e66f1fb5086869e83</anchor>
      <arglist>(const TQString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>formats</name>
      <anchorfile>classKABC_1_1FormatFactory.html</anchorfile>
      <anchor>aa61622852686bbc685a10c69fe60b740</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>FormatInfo *</type>
      <name>info</name>
      <anchorfile>classKABC_1_1FormatFactory.html</anchorfile>
      <anchor>af618887f23b70589fde1a7901627d71d</anchor>
      <arglist>(const TQString &amp;type)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FormatFactory *</type>
      <name>self</name>
      <anchorfile>classKABC_1_1FormatFactory.html</anchorfile>
      <anchor>aa6c4aef7064e232f0fa96b9c07fd5944</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::FormatPlugin</name>
    <filename>classKABC_1_1FormatPlugin.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>load</name>
      <anchorfile>classKABC_1_1FormatPlugin.html</anchorfile>
      <anchor>ab7f8f33ad1a0ba196c1a8046299b44f5</anchor>
      <arglist>(Addressee &amp;, TQFile *file)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>loadAll</name>
      <anchorfile>classKABC_1_1FormatPlugin.html</anchorfile>
      <anchor>a1a5c72c9facc51184d9f1d0a6f346d8d</anchor>
      <arglist>(AddressBook *, Resource *, TQFile *file)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKABC_1_1FormatPlugin.html</anchorfile>
      <anchor>ad09278bd93b8ffbddfc3c03faf1442ce</anchor>
      <arglist>(const Addressee &amp;, TQFile *file)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>saveAll</name>
      <anchorfile>classKABC_1_1FormatPlugin.html</anchorfile>
      <anchor>a84122d1f3451eff31a4ac035d5314ad5</anchor>
      <arglist>(AddressBook *, Resource *, TQFile *file)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>checkFormat</name>
      <anchorfile>classKABC_1_1FormatPlugin.html</anchorfile>
      <anchor>a85f907b90d2a31c476c809787e259a43</anchor>
      <arglist>(TQFile *file) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::BinaryFormat</name>
    <filename>classKABC_1_1BinaryFormat.html</filename>
    <base>KABC::FormatPlugin</base>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKABC_1_1BinaryFormat.html</anchorfile>
      <anchor>aa5831870922c74952c89b6cecf9b72c2</anchor>
      <arglist>(Addressee &amp;, TQFile *file)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadAll</name>
      <anchorfile>classKABC_1_1BinaryFormat.html</anchorfile>
      <anchor>aca5c93d2d0cb568c69fcc2b0e7fc2aaa</anchor>
      <arglist>(AddressBook *, Resource *, TQFile *file)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKABC_1_1BinaryFormat.html</anchorfile>
      <anchor>a676096fc0f9f2b7d63f493ab119e2b1e</anchor>
      <arglist>(const Addressee &amp;, TQFile *file)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveAll</name>
      <anchorfile>classKABC_1_1BinaryFormat.html</anchorfile>
      <anchor>ac9490f0d4481d00cad2290ab6e7b4d54</anchor>
      <arglist>(AddressBook *, Resource *, TQFile *file)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkFormat</name>
      <anchorfile>classKABC_1_1BinaryFormat.html</anchorfile>
      <anchor>a8ebfa78a0fd0959f8fc6e714bd463452</anchor>
      <arglist>(TQFile *file) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::Geo</name>
    <filename>classKABC_1_1Geo.html</filename>
    <member kind="function">
      <type></type>
      <name>Geo</name>
      <anchorfile>classKABC_1_1Geo.html</anchorfile>
      <anchor>a66c8a3e230a0c944724dbd54aaf8f96c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Geo</name>
      <anchorfile>classKABC_1_1Geo.html</anchorfile>
      <anchor>a5bceb225bd0ad8c37a8c650eeb8d56ea</anchor>
      <arglist>(float latitude, float longitude)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLatitude</name>
      <anchorfile>classKABC_1_1Geo.html</anchorfile>
      <anchor>a927fd1db7ae16e8c4f78017f3bae45ad</anchor>
      <arglist>(float)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>latitude</name>
      <anchorfile>classKABC_1_1Geo.html</anchorfile>
      <anchor>a038df1ce73e52ffa27c5b42ceed1ea48</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLongitude</name>
      <anchorfile>classKABC_1_1Geo.html</anchorfile>
      <anchor>a4a7b809b5c87aae0b0f01ad81ab6408f</anchor>
      <arglist>(float)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>longitude</name>
      <anchorfile>classKABC_1_1Geo.html</anchorfile>
      <anchor>af7ca57f99028d1bed62f85b1cc36b054</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKABC_1_1Geo.html</anchorfile>
      <anchor>a566790e8beeaf6528752afe1251baea7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>asString</name>
      <anchorfile>classKABC_1_1Geo.html</anchorfile>
      <anchor>a2cbc1b682c163833195feb4ec195a9d6</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::Key</name>
    <filename>classKABC_1_1Key.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Types</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a4ed0a43e3e994aefff94c96ca877092a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Key</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a3c2a87371800926815a0bc45a8cb1040</anchor>
      <arglist>(const TQString &amp;text=TQString::null, int type=PGP)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Key</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a92ff6ee5df282f6d7abb893fd14d81af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a1097cd771e6b122c86d17402072ac604</anchor>
      <arglist>(const TQString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>id</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>ac5a33bb7a64609fee213530d457be78e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBinaryData</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a4e26c6e94f1d802e36e6198c22e70fdc</anchor>
      <arglist>(const TQByteArray &amp;binary)</arglist>
    </member>
    <member kind="function">
      <type>TQByteArray</type>
      <name>binaryData</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a8a1be6a3b40cd45f7b3a226ce5049010</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextData</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a30fd24ef57d15d4900a984adfb43eac5</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>textData</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>af5274cba637418d2ff81f8613bf86898</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isBinary</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>afc8a5337c2015664ea367efad0f1d836</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a9ce3342162f3acc6db0d890db944cef5</anchor>
      <arglist>(int type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustomTypeString</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a9de7d99c404f9b611278f7435ce4a0be</anchor>
      <arglist>(const TQString &amp;custom)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>aaa1abf99bfe10c9b73ea125c3b2c2c51</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>customTypeString</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>ac04455520d7bc1c7bf95c612ab921644</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TypeList</type>
      <name>typeList</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a1eb7699bc4bbf529916eb26a81d1f818</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>typeLabel</name>
      <anchorfile>classKABC_1_1Key.html</anchorfile>
      <anchor>a7f0842003319051c559acf4ddc4acd02</anchor>
      <arglist>(int type)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::LdapObject</name>
    <filename>classKABC_1_1LdapObject.html</filename>
  </compound>
  <compound kind="class">
    <name>KABC::LdapClient</name>
    <filename>classKABC_1_1LdapClient.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setHost</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>a93d9b5ce55145df9169fe5154bf53ad5</anchor>
      <arglist>(const TQString &amp;host)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setPort</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>aad1e884a94f1ebaa6b748dda8308d1a1</anchor>
      <arglist>(const TQString &amp;port)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setBase</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>a9742fac29d0398d1acd27a81754316d5</anchor>
      <arglist>(const TQString &amp;base)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setBindDN</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>ae684ae493d10b60119b1a8bf982e2fd5</anchor>
      <arglist>(const TQString &amp;bindDN)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setPwdBindDN</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>a9aee5b658fd796bcdf394edee2405c28</anchor>
      <arglist>(const TQString &amp;pwdBindDN)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setAttrs</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>a97bf11d42cf50af1e26c5a6279ddcf65</anchor>
      <arglist>(const TQStringList &amp;attrs)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startQuery</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>afed085996dcf72635dcac192b95777ba</anchor>
      <arglist>(const TQString &amp;filter)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>cancelQuery</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>adb604e219037ebe407666078a2e4ea01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>a5598f3e8ff4de7a7633ac2e62ab99427</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>a27ed92dfac206893b9e08f87bb7dcfe8</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>ac03a426dc7432c089711e8ea71571f1f</anchor>
      <arglist>(const KABC::LdapObject &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchorfile>classKABC_1_1LdapClient.html</anchorfile>
      <anchor>a0cfbee4fde302e2672daeb38d87ef223</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KABC::LdapResult</name>
    <filename>structKABC_1_1LdapResult.html</filename>
    <member kind="variable">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>structKABC_1_1LdapResult.html</anchorfile>
      <anchor>acd5023591b054aa126edee292d6860c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>email</name>
      <anchorfile>structKABC_1_1LdapResult.html</anchorfile>
      <anchor>a4e311eaf5f86c817202b519ed6cb74a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>clientNumber</name>
      <anchorfile>structKABC_1_1LdapResult.html</anchorfile>
      <anchor>a09a8d20fdcdc2fc56d01591f86c514f0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::LdapSearch</name>
    <filename>classKABC_1_1LdapSearch.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>searchData</name>
      <anchorfile>classKABC_1_1LdapSearch.html</anchorfile>
      <anchor>a8d504bd451112e758c237557b9015797</anchor>
      <arglist>(const TQStringList &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>searchData</name>
      <anchorfile>classKABC_1_1LdapSearch.html</anchorfile>
      <anchor>a94ea3627c3a312ddec693d7f5c317bf0</anchor>
      <arglist>(const KABC::LdapResultList &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::LdapConfigWidget</name>
    <filename>classKABC_1_1LdapConfigWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>LdapConfigWidget</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>ac9ccf8033acc86a5596e8447d64224a8</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, WFlags fl=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LdapConfigWidget</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a71aae56f672f148ae953e4c9594798bb</anchor>
      <arglist>(int flags, TQWidget *parent=0, const char *name=0, WFlags fl=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~LdapConfigWidget</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a14d209d703592cf5d48dd9836107ffb3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUser</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a1c668c401a467678bea53006e8803ba1</anchor>
      <arglist>(const TQString &amp;user)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>user</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>adc8339eec2a33bb80c70e777980213f4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPassword</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a6b2a3d32d1cbb209075655ad8250b8e5</anchor>
      <arglist>(const TQString &amp;password)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>password</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a76d5f73a3c9f3355939df93d0e28d404</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBindDN</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a350dfbb271d340ca8e34d3e8fda0ef51</anchor>
      <arglist>(const TQString &amp;binddn)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>bindDN</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a2e2646d56442044200bd4bfc50ba8241</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRealm</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>ae8970df00aabccbd9f06be559b63bf10</anchor>
      <arglist>(const TQString &amp;realm)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>realm</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a5e047e2d320ca98ab5a8feba8b4fbd92</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHost</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>ac5169865f06835648fedd81e4dde6439</anchor>
      <arglist>(const TQString &amp;host)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>host</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a7a6caa29f1e53e6063dbd0d374e4f85b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPort</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>ace6235cbf14c352707bd6fa4b09a3981</anchor>
      <arglist>(int port)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>port</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>af5fd6670b90e6a41e9d9d38d41f46bd1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVer</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a4872c846017f7b457a3e00714437747c</anchor>
      <arglist>(int ver)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ver</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>ad0037567b80b7b5739c7655230b394d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDn</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a0f3dc66a26fed22b66e877e371df3439</anchor>
      <arglist>(const TQString &amp;dn)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>dn</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>aedda9b0bb076952a2811ff09c83a9c94</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a8297c84b55e890c7e82a0454f0fb5e4c</anchor>
      <arglist>(const TQString &amp;filter)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>filter</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>ae68f29196f316a1d7a8d0bf060143952</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMech</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a3e7d8b531c87e3dcd1b828b63a5e1b53</anchor>
      <arglist>(const TQString &amp;mech)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>mech</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>aea8bcce0d30463f548f2b23c667939ee</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecNO</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>ad1a3f30560f9c14ed9e572e89888aa31</anchor>
      <arglist>(bool b=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSecNO</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a24d77cc694a56d9c8d58d696829fce52</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecTLS</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>abc08f406d31a543c57cae0ee899fd5c5</anchor>
      <arglist>(bool b=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSecTLS</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a2d9392db05e9686bf3ba6dcbf7cc869f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecSSL</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>ada244bd9f92705d599b8df144656d7bc</anchor>
      <arglist>(bool b=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSecSSL</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a74c3c4ea09a06571e4887cf3babaf2c5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAuthAnon</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a4f1144dcde55a6afc273c5f5f43df2bc</anchor>
      <arglist>(bool b=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAuthAnon</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a71a5080f4d71c44359c989f736ed70c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAuthSimple</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a1ebe4a87c3e8f39f4d76eab7deb3d401</anchor>
      <arglist>(bool b=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAuthSimple</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a5718d8ef3a2163e8552df2eb58fbda81</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAuthSASL</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>abdf050af4c0251b0f77272a4679b6564</anchor>
      <arglist>(bool b=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAuthSASL</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a133ab09048fc29f28bf63df844484703</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSizeLimit</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a2440667885259013481e74abe8b2c35b</anchor>
      <arglist>(int sizelimit)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sizeLimit</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>a7ad250c0d12cd9dd23a5f437e6a5d2fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeLimit</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>adca52e05cf38aa0baea24bb8957c4479</anchor>
      <arglist>(int timelimit)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>timeLimit</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>ae3346795be6c088e9815b2ce73303317</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KABC::LDAPUrl</type>
      <name>url</name>
      <anchorfile>classKABC_1_1LdapConfigWidget.html</anchorfile>
      <anchor>aa740faaf046e6f92aa9ebe0de4a050b3</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::LDAPUrl</name>
    <filename>classKABC_1_1LDAPUrl.html</filename>
    <base>KURL</base>
    <member kind="function">
      <type></type>
      <name>LDAPUrl</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a4e0bfad253d490563adc5da3c29d03c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LDAPUrl</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a9706ce29cada32f319b33cdf86b0fb1b</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>dn</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a32f2799dee6635ee76cd4feae04a3396</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDn</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a2d219518e07ac9a89e5b9924848745b5</anchor>
      <arglist>(const TQString &amp;dn)</arglist>
    </member>
    <member kind="function">
      <type>const TQStringList &amp;</type>
      <name>attributes</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a7e17de967284a5e1e5d354d96608e93a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAttributes</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a06d035d93afcc223f1c1b6a2fbf0a71f</anchor>
      <arglist>(const TQStringList &amp;attributes)</arglist>
    </member>
    <member kind="function">
      <type>Scope</type>
      <name>scope</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a455521e361ab75a627c8721c3fece2de</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScope</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a1526732dd43a374d4cad425344f63ce9</anchor>
      <arglist>(Scope scope)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>filter</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>ac242eecb0c0307dc6eaf09d0fb130026</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>aad92f5cd20f2f51082d67122e95a374c</anchor>
      <arglist>(TQString filter)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasExtension</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a8eba756ce44e3bea6c27373b35769b13</anchor>
      <arglist>(const TQString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>Extension</type>
      <name>extension</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a748f297623f650a68b8a8fe03b65241a</anchor>
      <arglist>(const TQString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>extension</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>acde4820193d258c92b21a0d8dbe4aa3b</anchor>
      <arglist>(const TQString &amp;key, bool &amp;critical) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExtension</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>ae000a623294fe87bb03519a9f6aabff1</anchor>
      <arglist>(const TQString &amp;key, const Extension &amp;ext)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExtension</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a586379c3a7e83d3c35406cca27ec3477</anchor>
      <arglist>(const TQString &amp;key, const TQString &amp;value, bool critical=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeExtension</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a159dd98b2506c5220bbd1b3ff10a2ab5</anchor>
      <arglist>(const TQString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateQuery</name>
      <anchorfile>classKABC_1_1LDAPUrl.html</anchorfile>
      <anchor>a5517a5ed1709ed7944c99294fe189d83</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::LDIF</name>
    <filename>classKABC_1_1LDIF.html</filename>
    <member kind="function">
      <type>void</type>
      <name>startParsing</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a9060999fdc8236d972069798b2a4c41b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ParseVal</type>
      <name>processLine</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a93834a2518712b02f579f08aef611461</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ParseVal</type>
      <name>nextItem</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>ac096258fe760ef144e0ffe9dc8218399</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLDIF</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>aafc1ed6df739dd7be3ed96f94720ca36</anchor>
      <arglist>(const TQByteArray &amp;ldif)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endLDIF</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a94dc00e7aefb694d1ff9a70c9c1e00f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>EntryType</type>
      <name>entryType</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a1cb0c8f667c76a63aeb13c64580024df</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>modType</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a09523a446ad777174b3717241cab9961</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>dn</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>add03447acadeb67425ae486756cfa51c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>newRdn</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a6309ef107d04d09019164cbccafee033</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>newSuperior</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>abc3ccefeb82b62c7e3c3f5f161b5f6dd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>delOldRdn</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a6ed3407362049589c644c204999a221d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>attr</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a511516617b24cd3007233e304184b855</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQByteArray &amp;</type>
      <name>val</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>ab175acd4485d55b29b97ce2327177e46</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUrl</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>aa42facba236fbce9a91c14b530c79298</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>critical</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>af4daab0e5d59634d25e4c5cf953074f7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>oid</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a0607b8105cab1e5bf1ebb9b49094df17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>lineNo</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a47c9437596c8757acf1773ba13cb9043</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>assembleLine</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a57464819273583c03e4c1981a314150b</anchor>
      <arglist>(const TQString &amp;fieldname, const TQByteArray &amp;value, uint linelen=0, bool url=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>assembleLine</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a7d823a06941c92f06e569541cf43f4f2</anchor>
      <arglist>(const TQString &amp;fieldname, const TQCString &amp;value, uint linelen=0, bool url=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQCString</type>
      <name>assembleLine</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a1c88b286ebaa9f96e4796c3cfd447566</anchor>
      <arglist>(const TQString &amp;fieldname, const TQString &amp;value, uint linelen=0, bool url=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>splitLine</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>a42c9a01467f1841f68a106de592d09fe</anchor>
      <arglist>(const TQCString &amp;line, TQString &amp;fieldname, TQByteArray &amp;value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>splitControl</name>
      <anchorfile>classKABC_1_1LDIF.html</anchorfile>
      <anchor>aff1d2aa0d62ae6dcaa4b2e793efd00e4</anchor>
      <arglist>(const TQCString &amp;line, TQString &amp;oid, bool &amp;critical, TQByteArray &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::Lock</name>
    <filename>classKABC_1_1Lock.html</filename>
    <member kind="function">
      <type></type>
      <name>Lock</name>
      <anchorfile>classKABC_1_1Lock.html</anchorfile>
      <anchor>a3e194fdeae9b006e21d9c7a8ac0a8b58</anchor>
      <arglist>(const TQString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Lock</name>
      <anchorfile>classKABC_1_1Lock.html</anchorfile>
      <anchor>a7ab6d9485c8665bb3643710432882971</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>lock</name>
      <anchorfile>classKABC_1_1Lock.html</anchorfile>
      <anchor>af7f60cb0f7176ad0b7704e49993afaa2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>unlock</name>
      <anchorfile>classKABC_1_1Lock.html</anchorfile>
      <anchor>af51df18839060f5a4862cc35065706f1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::LockNull</name>
    <filename>classKABC_1_1LockNull.html</filename>
    <base>KABC::Lock</base>
    <member kind="function">
      <type>bool</type>
      <name>lock</name>
      <anchorfile>classKABC_1_1LockNull.html</anchorfile>
      <anchor>ad0dad06186aaa12506cc60b0ad93b214</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>unlock</name>
      <anchorfile>classKABC_1_1LockNull.html</anchorfile>
      <anchor>a745c5f3387a57a1aa4ed1cc68230597b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::PhoneNumber</name>
    <filename>classKABC_1_1PhoneNumber.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Types</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>a05652ae9bf80034115b4cde619a23a1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PhoneNumber</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>a61f6f477b279d79f5735706d72bc5ca1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PhoneNumber</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>a777db4d7a5f91bdd1489763263e49b8b</anchor>
      <arglist>(const TQString &amp;number, int type=Home)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PhoneNumber</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>aeaf3adcb7725532541d04bf21dde491b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>ad527d3a4256d8865abb38209d0437bd5</anchor>
      <arglist>(const TQString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>id</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>ac578cf304b7ce841bea42f7644b3068e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNumber</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>a9427580364a35d5b7cd4a3727fe68568</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>number</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>a6bb4b2dfa69b73e5524b6abf3e5b475d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>a8d6baed815ece2beda571542056cb762</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>a909b5886fa1c0ea93231ad97a8a30931</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>typeLabel</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>adece75cfbd7d580dad4b97737c1326dd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>label</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>ad53fab3a4d3010911159f4c53348bed1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TypeList</type>
      <name>typeList</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>a9da56ecd81262c52cbfde7fccabdc1ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>typeLabel</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>a7e43e9afd6d32dcb483a2a357d257a6e</anchor>
      <arglist>(int type)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>label</name>
      <anchorfile>classKABC_1_1PhoneNumber.html</anchorfile>
      <anchor>a29c80b5d2db85e9280c14e0c4f580a40</anchor>
      <arglist>(int type)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::ResourceFile</name>
    <filename>classKABC_1_1ResourceFile.html</filename>
    <member kind="function">
      <type></type>
      <name>ResourceFile</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>a852b2cce27122518c1a83d096cb47aa6</anchor>
      <arglist>(const KConfig *cfg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceFile</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>aa8e573393f0117f257465ac017bfd7ed</anchor>
      <arglist>(const TQString &amp;fileName, const TQString &amp;formatName=&quot;vcard&quot;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ResourceFile</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>ad6502a4b7d4fe3abf811e33f6eae6c40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>a61420a1e6aa1540852cc32f2fedd044f</anchor>
      <arglist>(KConfig *cfg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>doOpen</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>a18656058cc3ada877659a0e191ef2b2d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doClose</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>a0954726c886ec44d5d314ce317b501c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Ticket *</type>
      <name>requestSaveTicket</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>ab4d3042baeebe0e607ecb58e8d9171a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>load</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>ae712cdfd96b6de77a2d8ce5a4d0c5a2d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>a5f69182bdd1940e4e7b4e7f1bea1056a</anchor>
      <arglist>(Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFileName</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>a149616f64dc921fe8dd860c1ef9beeff</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>fileName</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>a6a5a68c4f62977d59e9423098b00940b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFormat</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>a228d6c1622eb3036db92885b64e7bd5d</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>format</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>a2279ebd2f1c8e5b2165c0d61563c2558</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removeAddressee</name>
      <anchorfile>classKABC_1_1ResourceFile.html</anchorfile>
      <anchor>a43a31fb53e5e0f5bde82eedecf7e3779</anchor>
      <arglist>(const Addressee &amp;addr)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::Ticket</name>
    <filename>classKABC_1_1Ticket.html</filename>
  </compound>
  <compound kind="class">
    <name>KABC::Resource::ConstIterator</name>
    <filename>classKABC_1_1Resource_1_1ConstIterator.html</filename>
  </compound>
  <compound kind="class">
    <name>KABC::Resource::Iterator</name>
    <filename>classKABC_1_1Resource_1_1Iterator.html</filename>
  </compound>
  <compound kind="class">
    <name>KABC::ResourceSelectDialog</name>
    <filename>classKABC_1_1ResourceSelectDialog.html</filename>
    <base protection="private">KDialog</base>
  </compound>
  <compound kind="class">
    <name>KABC::Addressee</name>
    <filename>classKABC_1_1Addressee.html</filename>
    <member kind="function">
      <type></type>
      <name>Addressee</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a4d7ab33e0fc87409fab11cdf11170f92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a2aa789a775e5a6f473c5a7550e027607</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a096fcd64f7d84a81504ac0bb429ddd67</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>uid</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a8a1d1e3ad81eea657b1fbe094075d849</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUri</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a42b8ce0c42f6dd22e0d0615d27c838c1</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>uri</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>abe078267f31bc1e8cae0d9f4f5a17978</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DECLARATIONS void</type>
      <name>setNameFromString</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>abdda2cedcad29d40abb5696d12865411</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>realName</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a57045e77ae773b505411f340e68de759</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>assembledName</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a02908160439612866ff98d420b50a4a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>fullEmail</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ad98e5b431b4f0a9e7b29faa14a186472</anchor>
      <arglist>(const TQString &amp;email=TQString::null) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertEmail</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>aac615acc194f245a91a0edb9c7926cd2</anchor>
      <arglist>(const TQString &amp;email, bool preferred=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEmail</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a0dcd318932039f66a1289922dced6518</anchor>
      <arglist>(const TQString &amp;email)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>preferredEmail</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ab38ce777327907d78d56c33e0da6b050</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>emails</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a96535dd27042feaaaa9c55ac38205c2e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmails</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ab670b0f6168323ed2eb534faa71fd3a8</anchor>
      <arglist>(const TQStringList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertPhoneNumber</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a2880e9be1777eba375dff2fb13766933</anchor>
      <arglist>(const PhoneNumber &amp;phoneNumber)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removePhoneNumber</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a1ea5ef3b5c012647918dc180f9ca16e8</anchor>
      <arglist>(const PhoneNumber &amp;phoneNumber)</arglist>
    </member>
    <member kind="function">
      <type>PhoneNumber</type>
      <name>phoneNumber</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a9cb7d81ee5205786dad716a392c2cc30</anchor>
      <arglist>(int type) const </arglist>
    </member>
    <member kind="function">
      <type>PhoneNumber::List</type>
      <name>phoneNumbers</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a3f01378d745b242c39cb686b2be1153f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>PhoneNumber::List</type>
      <name>phoneNumbers</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a733c89d732f110ad44e8487e267bdebb</anchor>
      <arglist>(int type) const </arglist>
    </member>
    <member kind="function">
      <type>PhoneNumber</type>
      <name>findPhoneNumber</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a2609be9d91552b57a9c60a56f81e96ce</anchor>
      <arglist>(const TQString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertKey</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ac2bf62121b5b47ae3d593a4b620121b9</anchor>
      <arglist>(const Key &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeKey</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a05a544b076241c743befba9480610051</anchor>
      <arglist>(const Key &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>Key</type>
      <name>key</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a069bf366c5a97f2b6cdeadb1db387425</anchor>
      <arglist>(int type, TQString customTypeString=TQString::null) const </arglist>
    </member>
    <member kind="function">
      <type>Key::List</type>
      <name>keys</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a490f3ae84cc7a34e9d55379a9bb8f3bb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeys</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a26c707633e5377d0270a5ef59a59faea</anchor>
      <arglist>(const Key::List &amp;keys)</arglist>
    </member>
    <member kind="function">
      <type>Key::List</type>
      <name>keys</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ab48d1218ba8c36ac31cea370549fbeb4</anchor>
      <arglist>(int type, TQString customTypeString=TQString::null) const </arglist>
    </member>
    <member kind="function">
      <type>Key</type>
      <name>findKey</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ace3cd6d54aac174a68981977230b09eb</anchor>
      <arglist>(const TQString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertAddress</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ab9cabc3c3dc00eecf29c640a4ef7588d</anchor>
      <arglist>(const Address &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAddress</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a4652028f517120091556c9b6621beddb</anchor>
      <arglist>(const Address &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>Address</type>
      <name>address</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ad88426b3309d907f9b1c947244285964</anchor>
      <arglist>(int type) const </arglist>
    </member>
    <member kind="function">
      <type>Address::List</type>
      <name>addresses</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a2eb7d78ead23236a1bd80d9f0f432371</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Address::List</type>
      <name>addresses</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>aedeb06f6e7bf3dd3fb3e3d5ed4592e98</anchor>
      <arglist>(int type) const </arglist>
    </member>
    <member kind="function">
      <type>Address</type>
      <name>findAddress</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ad5a320d795506aecabd9a1473969c055</anchor>
      <arglist>(const TQString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertCategory</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a972c24dea493e90073eba38b7fb2aa70</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeCategory</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a76c473f21858377de5105f604942d163</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasCategory</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a669ac1f8c805d3cd4c6353b01065a008</anchor>
      <arglist>(const TQString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategories</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a1c20433ed351136d24a31c1a0ed2c037</anchor>
      <arglist>(const TQStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>categories</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a0bfe7dca55360ba1af2b01b73b6fde93</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertCustom</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a296de6f5b16c1cb0ebd49e1a05551c09</anchor>
      <arglist>(const TQString &amp;app, const TQString &amp;name, const TQString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeCustom</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a04a4538ebf8e146de4f94b2d41f6c90f</anchor>
      <arglist>(const TQString &amp;app, const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>custom</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>aee679adec552f96054e1681f3e1e746c</anchor>
      <arglist>(const TQString &amp;app, const TQString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustoms</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a903af601dbbdb204bfe0921a91959aeb</anchor>
      <arglist>(const TQStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>customs</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ae201c67b3c724dd1b526829eb34799f5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a4aba5884b6679b9a4ac72cca78c7109d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>asString</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>acaf7e760d23cc640f26ca4d91ce7f9c7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResource</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ac67dcf61975851b977f6101c46c043d8</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>af097d2c55ca1e8f3574e96eb675924a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChanged</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a8db9c60e2c1af4f752dc9481dba93c69</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a7b3932cedddfb6e2db1d5e869277525b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>uidLabel</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>a02be3bb1b37e55e2a168d4e17684196c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>uriLabel</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>ae6c6da9bfee3e9e957a6e0dfc89dc803</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>parseEmailAddress</name>
      <anchorfile>classKABC_1_1Addressee.html</anchorfile>
      <anchor>abeb3072730616fdfd245d0e478b185e3</anchor>
      <arglist>(const TQString &amp;rawEmail, TQString &amp;fullName, TQString &amp;email)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::SortMode</name>
    <filename>classKABC_1_1SortMode.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>lesser</name>
      <anchorfile>classKABC_1_1SortMode.html</anchorfile>
      <anchor>aea3c51c0cfded76b975443b9433f5a84</anchor>
      <arglist>(const KABC::Addressee &amp;first, const KABC::Addressee &amp;second) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::Sound</name>
    <filename>classKABC_1_1Sound.html</filename>
    <member kind="function">
      <type></type>
      <name>Sound</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>a539c205cdf06fe2c621fd77c37bcfac9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Sound</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>a3871f86fda0268ac482a50c985a0e2a1</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Sound</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>a6d60a99ff13a7cc147b2070fbc2784ae</anchor>
      <arglist>(const TQByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Sound</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>a0907389078bf740be2a5763366ad3376</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUrl</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>a8b64cb70451c12694c2d9021ae690f37</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>ad3ea486f2dde92ebdc310ed9a0a3b73f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>a2d70a513d7ba185a637ed49a54912467</anchor>
      <arglist>(const TQByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIntern</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>ab8810430dadd035326733884f476b10d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>url</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>a00b27608a2419b2abd1d571a450e2ba0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQByteArray</type>
      <name>data</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>ab5b2ea88d132e5f8dce7360b8639e5b5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>asString</name>
      <anchorfile>classKABC_1_1Sound.html</anchorfile>
      <anchor>a94d60c34a7fc570c330553f077b845cd</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::StdAddressBook</name>
    <filename>classKABC_1_1StdAddressBook.html</filename>
    <base>KABC::AddressBook</base>
    <member kind="function">
      <type></type>
      <name>~StdAddressBook</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>a1a784a9a9623a4f9ba31e7eec9dfd64e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Addressee</type>
      <name>whoAmI</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>abb47ecd037c33c02c6cf0d3ab28740d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWhoAmI</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>a7011ba67133f4653b486b5187ca2332e</anchor>
      <arglist>(const Addressee &amp;addr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static StdAddressBook *</type>
      <name>self</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>ae05097fb43b3d1ae92c383b587fc8f90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static StdAddressBook *</type>
      <name>self</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>ae08c31d40f7dbae804998c6432ab01a9</anchor>
      <arglist>(bool asynchronous)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>save</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>aa2dc282cfb0a7dd9ceb0fcbe6a45c361</anchor>
      <arglist>() KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>handleCrash</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>a7af7162f1dc0f76670230f05ac57719a</anchor>
      <arglist>() KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>fileName</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>a6c330ed9f50a7e9f44f2cece52406812</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>directoryName</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>ae3ccc97ca6f0f11468093dabefa4d0e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setAutomaticSave</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>a3a22d30688971a66c65512626134a480</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>close</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>a9293549e5cec4e42d03a6d5968273b69</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>automaticSave</name>
      <anchorfile>classKABC_1_1StdAddressBook.html</anchorfile>
      <anchor>a1d11c4dedc24ce773d280f6dec24db33</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::TimeZone</name>
    <filename>classKABC_1_1TimeZone.html</filename>
    <member kind="function">
      <type></type>
      <name>TimeZone</name>
      <anchorfile>classKABC_1_1TimeZone.html</anchorfile>
      <anchor>a7d41f8d4c3314f43bd076bc443bf7854</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TimeZone</name>
      <anchorfile>classKABC_1_1TimeZone.html</anchorfile>
      <anchor>af62702b5c7153a38f8c1e7ad785be2b6</anchor>
      <arglist>(int offset)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOffset</name>
      <anchorfile>classKABC_1_1TimeZone.html</anchorfile>
      <anchor>a166380fbca9ef2c2fb9d63ccd6ed2d1f</anchor>
      <arglist>(int offset)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>offset</name>
      <anchorfile>classKABC_1_1TimeZone.html</anchorfile>
      <anchor>ac304574e455616658adb47ed42f9454d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKABC_1_1TimeZone.html</anchorfile>
      <anchor>af0e7f0e98b76fa59779fdc8ca0392602</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>asString</name>
      <anchorfile>classKABC_1_1TimeZone.html</anchorfile>
      <anchor>a8a2f2dd7ae8ecc0691db6dcc55f2da2b</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::VCard21Parser</name>
    <filename>classKABC_1_1VCard21Parser.html</filename>
    <member kind="function">
      <type></type>
      <name>VCard21Parser</name>
      <anchorfile>classKABC_1_1VCard21Parser.html</anchorfile>
      <anchor>a6327b6f828cc11b518cd964a1cc9f76c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~VCard21Parser</name>
      <anchorfile>classKABC_1_1VCard21Parser.html</anchorfile>
      <anchor>a43cc948e15804ffaff25c44a0c29e339</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readFromString</name>
      <anchorfile>classKABC_1_1VCard21Parser.html</anchorfile>
      <anchor>adcfa3fcc2d782e6576dbc9353c145a21</anchor>
      <arglist>(KABC::AddressBook *ab, const TQString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Addressee</type>
      <name>readFromString</name>
      <anchorfile>classKABC_1_1VCard21Parser.html</anchorfile>
      <anchor>a84e42e888a9a595b85c06ddb23910c94</anchor>
      <arglist>(const TQString &amp;data)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KABC::Address</type>
      <name>readAddressFromQStringList</name>
      <anchorfile>classKABC_1_1VCard21Parser.html</anchorfile>
      <anchor>a83e43fdfe3ab86ab17155828288535ba</anchor>
      <arglist>(const TQStringList &amp;data, const int type)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::VCardConverter</name>
    <filename>classKABC_1_1VCardConverter.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Version</name>
      <anchorfile>classKABC_1_1VCardConverter.html</anchorfile>
      <anchor>a39ffd638979b5c77cabe078a74117615</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>VCardConverter</name>
      <anchorfile>classKABC_1_1VCardConverter.html</anchorfile>
      <anchor>acc8061e02953ba993330aa099dfb3dd7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~VCardConverter</name>
      <anchorfile>classKABC_1_1VCardConverter.html</anchorfile>
      <anchor>a14154cd29d2f61ad7039b06d86bfe298</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>createVCard</name>
      <anchorfile>classKABC_1_1VCardConverter.html</anchorfile>
      <anchor>aa0e4d13c3946be98d20ce243d4d03085</anchor>
      <arglist>(const Addressee &amp;addr, Version version=v3_0)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>createVCards</name>
      <anchorfile>classKABC_1_1VCardConverter.html</anchorfile>
      <anchor>a08be55c4366d5d9c1d39583f0603740d</anchor>
      <arglist>(Addressee::List list, Version version=v3_0)</arglist>
    </member>
    <member kind="function">
      <type>Addressee</type>
      <name>parseVCard</name>
      <anchorfile>classKABC_1_1VCardConverter.html</anchorfile>
      <anchor>af02f40054fc2a45820948dcfa778987e</anchor>
      <arglist>(const TQString &amp;vcard)</arglist>
    </member>
    <member kind="function">
      <type>Addressee::List</type>
      <name>parseVCards</name>
      <anchorfile>classKABC_1_1VCardConverter.html</anchorfile>
      <anchor>a75b17b040c0cd3c6e8fa06b5f9c3a374</anchor>
      <arglist>(const TQString &amp;vcard)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>vCardToAddressee</name>
      <anchorfile>classKABC_1_1VCardConverter.html</anchorfile>
      <anchor>a74fc295f30e3396e48d190df7629b0ed</anchor>
      <arglist>(const TQString &amp;, Addressee &amp;, Version version=v3_0) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addresseeToVCard</name>
      <anchorfile>classKABC_1_1VCardConverter.html</anchorfile>
      <anchor>a63a14d28dfe7e823b4c4dce5e52c8c93</anchor>
      <arglist>(const Addressee &amp;, TQString &amp;, Version version=v3_0) KDE_DEPRECATED</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::VCardFormat</name>
    <filename>classKABC_1_1VCardFormat.html</filename>
    <base>KABC::Format</base>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKABC_1_1VCardFormat.html</anchorfile>
      <anchor>aebb9ef305cc88f7a267f5a0f30ee283c</anchor>
      <arglist>(AddressBook *, const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKABC_1_1VCardFormat.html</anchorfile>
      <anchor>a63a5036f48427dee9ec3bc1ff9f33426</anchor>
      <arglist>(AddressBook *, const TQString &amp;fileName)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABC::VCardFormatImpl</name>
    <filename>classKABC_1_1VCardFormatImpl.html</filename>
  </compound>
  <compound kind="class">
    <name>KABC::VCardFormatPlugin</name>
    <filename>classKABC_1_1VCardFormatPlugin.html</filename>
    <base>KABC::FormatPlugin</base>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKABC_1_1VCardFormatPlugin.html</anchorfile>
      <anchor>a0ef457842282690e7904027254b436eb</anchor>
      <arglist>(Addressee &amp;, TQFile *file)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadAll</name>
      <anchorfile>classKABC_1_1VCardFormatPlugin.html</anchorfile>
      <anchor>ad0e34e94fb278c08be4566fb3fd77fab</anchor>
      <arglist>(AddressBook *, Resource *, TQFile *file)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKABC_1_1VCardFormatPlugin.html</anchorfile>
      <anchor>a92a8489a56f13d832ab738b93b648bac</anchor>
      <arglist>(const Addressee &amp;, TQFile *file)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveAll</name>
      <anchorfile>classKABC_1_1VCardFormatPlugin.html</anchorfile>
      <anchor>a4f2424377bf942e3134649fe49e560f9</anchor>
      <arglist>(AddressBook *, Resource *, TQFile *file)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkFormat</name>
      <anchorfile>classKABC_1_1VCardFormatPlugin.html</anchorfile>
      <anchor>af245c8e6dae313f9bbee717cdcc7e84b</anchor>
      <arglist>(TQFile *file) const </arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KABC::LDIFConverter</name>
    <filename>namespaceKABC_1_1LDIFConverter.html</filename>
    <member kind="function">
      <type>KABC_EXPORT bool</type>
      <name>LDIFToAddressee</name>
      <anchorfile>namespaceKABC_1_1LDIFConverter.html</anchorfile>
      <anchor>a9d8c47d9c0d4bc6a38a0238e5a0c3593</anchor>
      <arglist>(const TQString &amp;str, AddresseeList &amp;addrList, TQDateTime dt=TQDateTime::currentDateTime())</arglist>
    </member>
    <member kind="function">
      <type>KABC_EXPORT bool</type>
      <name>addresseeToLDIF</name>
      <anchorfile>namespaceKABC_1_1LDIFConverter.html</anchorfile>
      <anchor>a7ae141ba1c33db47b81eb94b69ea8a38</anchor>
      <arglist>(const AddresseeList &amp;addrList, TQString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>KABC_EXPORT bool</type>
      <name>addresseeToLDIF</name>
      <anchorfile>namespaceKABC_1_1LDIFConverter.html</anchorfile>
      <anchor>af80945210993a16813f0722c0c186fd8</anchor>
      <arglist>(const Addressee &amp;addr, TQString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>KABC_EXPORT TQString</type>
      <name>makeLDIFfieldString</name>
      <anchorfile>namespaceKABC_1_1LDIFConverter.html</anchorfile>
      <anchor>a69901e9cfd5a648d68f66cb10bf978a8</anchor>
      <arglist>(TQString field, TQString value, bool allowEncode=true) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>KABC_EXPORT bool</type>
      <name>parseSingleLine</name>
      <anchorfile>namespaceKABC_1_1LDIFConverter.html</anchorfile>
      <anchor>a21b7d504b64c86340311076765ebff4b</anchor>
      <arglist>(Addressee &amp;a, Address &amp;homeAddr, Address &amp;workAddr, TQString &amp;line)</arglist>
    </member>
    <member kind="function">
      <type>KABC_EXPORT bool</type>
      <name>splitLine</name>
      <anchorfile>namespaceKABC_1_1LDIFConverter.html</anchorfile>
      <anchor>a1407f9554e6d6d790529deecaa224bb9</anchor>
      <arglist>(TQString &amp;line, TQString &amp;fieldname, TQString &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KABC::SortingTraits</name>
    <filename>namespaceKABC_1_1SortingTraits.html</filename>
  </compound>
  <compound kind="dir">
    <name>dir</name>
    <path>kdelibs/kabc/plugins/dir/</path>
    <filename>dir_2cc86484c3b2952ae5fb2d79d879547c.html</filename>
    <file>resourcedir.cpp</file>
    <file>resourcedir.h</file>
    <file>resourcedirconfig.cpp</file>
    <file>resourcedirconfig.h</file>
    <file>resourcedirplugin.cpp</file>
  </compound>
  <compound kind="dir">
    <name>evolution</name>
    <path>kdelibs/kabc/plugins/evolution/</path>
    <filename>dir_670758ba42841679087d6747f148a0c9.html</filename>
    <file>dbwrapper.cpp</file>
    <file>dbwrapper.h</file>
    <file>resourceevo.cpp</file>
    <file>resourceevo.h</file>
  </compound>
  <compound kind="dir">
    <name>file</name>
    <path>kdelibs/kabc/plugins/file/</path>
    <filename>dir_d1161e56b32cbd1105778db2fc0fac38.html</filename>
    <file>resourcefile.cpp</file>
    <file>resourcefile.h</file>
    <file>resourcefileconfig.cpp</file>
    <file>resourcefileconfig.h</file>
    <file>resourcefileplugin.cpp</file>
  </compound>
  <compound kind="dir">
    <name>formats</name>
    <path>kdelibs/kabc/formats/</path>
    <filename>dir_442c6ca22ed0e0ae683b84d298a2a592.html</filename>
    <file>binaryformat.cpp</file>
    <file>binaryformat.h</file>
  </compound>
  <compound kind="dir">
    <name>include</name>
    <path>kdelibs/kabc/vcard/include/</path>
    <filename>dir_9666942974ac4d2b93cdc55f428157a7.html</filename>
    <file>VCard.h</file>
    <file>VCardAdrParam.h</file>
    <file>VCardAdrValue.h</file>
    <file>VCardAgentParam.h</file>
    <file>VCardAgentValue.h</file>
    <file>VCardClassValue.h</file>
    <file>VCardContentLine.h</file>
    <file>VCardDateParam.h</file>
    <file>VCardDateValue.h</file>
    <file>VCardDefines.h</file>
    <file>VCardEmailParam.h</file>
    <file>VCardEntity.h</file>
    <file>VCardEnum.h</file>
    <file>VCardFloatValue.h</file>
    <file>VCardGeoValue.h</file>
    <file>VCardGroup.h</file>
    <file>VCardImageParam.h</file>
    <file>VCardImageValue.h</file>
    <file>VCardImgValue.h</file>
    <file>VCardLangValue.h</file>
    <file>VCardNValue.h</file>
    <file>VCardOrgValue.h</file>
    <file>VCardParam.h</file>
    <file>VCardPhoneNumberValue.h</file>
    <file>VCardRToken.h</file>
    <file>VCardSoundValue.h</file>
    <file>VCardSourceParam.h</file>
    <file>VCardTelParam.h</file>
    <file>VCardTelValue.h</file>
    <file>VCardTextBinParam.h</file>
    <file>VCardTextBinValue.h</file>
    <file>VCardTextListValue.h</file>
    <file>VCardTextParam.h</file>
    <file>VCardTextValue.h</file>
    <file>VCardURIValue.h</file>
    <file>VCardUTCValue.h</file>
    <file>VCardValue.h</file>
    <file>VCardVCard.h</file>
    <file>VCardVCardEntity.h</file>
  </compound>
  <compound kind="dir">
    <name>kabc</name>
    <path>kdelibs/kabc/</path>
    <filename>dir_8a932cd075db1bb2631d0824afd00337.html</filename>
    <dir>formats</dir>
    <dir>plugins</dir>
    <dir>scripts</dir>
    <dir>vcard</dir>
    <dir>vcardparser</dir>
    <file>address.cpp</file>
    <file>address.h</file>
    <file>addressbook.cpp</file>
    <file>addressbook.h</file>
    <file>addresseedialog.cpp</file>
    <file>addresseedialog.h</file>
    <file>addresseehelper.cpp</file>
    <file>addresseehelper.h</file>
    <file>addresseelist.cpp</file>
    <file>addresseelist.h</file>
    <file>addresslineedit.cpp</file>
    <file>addresslineedit.h</file>
    <file>agent.cpp</file>
    <file>agent.h</file>
    <file>distributionlist.cpp</file>
    <file>distributionlist.h</file>
    <file>distributionlistdialog.cpp</file>
    <file>distributionlistdialog.h</file>
    <file>distributionlisteditor.cpp</file>
    <file>distributionlisteditor.h</file>
    <file>errorhandler.cpp</file>
    <file>errorhandler.h</file>
    <file>field.h</file>
    <file>format.h</file>
    <file>formatfactory.cpp</file>
    <file>formatfactory.h</file>
    <file>formatplugin.h</file>
    <file>geo.cpp</file>
    <file>geo.h</file>
    <file>kab2kabc.cpp</file>
    <file>key.cpp</file>
    <file>key.h</file>
    <file>ldapclient.cpp</file>
    <file>ldapclient.h</file>
    <file>ldapconfigwidget.cpp</file>
    <file>ldapconfigwidget.h</file>
    <file>ldapurl.cpp</file>
    <file>ldapurl.h</file>
    <file>ldif.cpp</file>
    <file>ldif.h</file>
    <file>ldifconverter.cpp</file>
    <file>ldifconverter.h</file>
    <file>lock.cpp</file>
    <file>lock.h</file>
    <file>locknull.cpp</file>
    <file>locknull.h</file>
    <file>phonenumber.cpp</file>
    <file>phonenumber.h</file>
    <file>picture.cpp</file>
    <file>picture.h</file>
    <file>plugin.cpp</file>
    <file>plugin.h</file>
    <file>resource.cpp</file>
    <file>resource.h</file>
    <file>resourceselectdialog.cpp</file>
    <file>resourceselectdialog.h</file>
    <file>secrecy.cpp</file>
    <file>secrecy.h</file>
    <file>sortmode.cpp</file>
    <file>sortmode.h</file>
    <file>sound.cpp</file>
    <file>sound.h</file>
    <file>stdaddressbook.cpp</file>
    <file>stdaddressbook.h</file>
    <file>timezone.cpp</file>
    <file>timezone.h</file>
    <file>vcard21parser.cpp</file>
    <file>vcard21parser.h</file>
    <file>vcardconverter.cpp</file>
    <file>vcardconverter.h</file>
    <file>vcardformat.cpp</file>
    <file>vcardformat.h</file>
    <file>vcardformatimpl.cpp</file>
    <file>vcardformatimpl.h</file>
    <file>vcardformatplugin.cpp</file>
    <file>vcardformatplugin.h</file>
    <file>vcardtool.cpp</file>
    <file>vcardtool.h</file>
  </compound>
  <compound kind="dir">
    <name>ldapkio</name>
    <path>kdelibs/kabc/plugins/ldapkio/</path>
    <filename>dir_81d03aeb76c1ef4de95cec11f549d642.html</filename>
    <file>resourceldapkio.cpp</file>
    <file>resourceldapkio.h</file>
    <file>resourceldapkioconfig.cpp</file>
    <file>resourceldapkioconfig.h</file>
    <file>resourceldapkioplugin.cpp</file>
  </compound>
  <compound kind="dir">
    <name>net</name>
    <path>kdelibs/kabc/plugins/net/</path>
    <filename>dir_cfe58d6a701ea4e0f6cd17d712b5c231.html</filename>
    <file>resourcenet.cpp</file>
    <file>resourcenet.h</file>
    <file>resourcenetconfig.cpp</file>
    <file>resourcenetconfig.h</file>
    <file>resourcenetplugin.cpp</file>
  </compound>
  <compound kind="dir">
    <name>plugins</name>
    <path>kdelibs/kabc/plugins/</path>
    <filename>dir_3f65c70a549fb35738e1b7e4c7cb6fb5.html</filename>
    <dir>dir</dir>
    <dir>evolution</dir>
    <dir>file</dir>
    <dir>ldapkio</dir>
    <dir>net</dir>
    <dir>sql</dir>
  </compound>
  <compound kind="dir">
    <name>scripts</name>
    <path>kdelibs/kabc/scripts/</path>
    <filename>dir_ab1aeb7e04cb70f9491042e761ceda90.html</filename>
    <file>addressee.src.cpp</file>
    <file>addressee.src.h</file>
    <file>field.src.cpp</file>
  </compound>
  <compound kind="dir">
    <name>sql</name>
    <path>kdelibs/kabc/plugins/sql/</path>
    <filename>dir_6d0a66cc322cfdadf0680612e15e1b24.html</filename>
    <file>resourcesql.cpp</file>
    <file>resourcesql.h</file>
    <file>resourcesqlconfig.cpp</file>
    <file>resourcesqlconfig.h</file>
  </compound>
  <compound kind="dir">
    <name>vcard</name>
    <path>kdelibs/kabc/vcard/</path>
    <filename>dir_04206c30583f3d29c7041974d6e5a888.html</filename>
    <dir>include</dir>
    <file>AdrParam.cpp</file>
    <file>AdrValue.cpp</file>
    <file>AgentParam.cpp</file>
    <file>AgentValue.cpp</file>
    <file>ClassValue.cpp</file>
    <file>ContentLine.cpp</file>
    <file>DateParam.cpp</file>
    <file>DateValue.cpp</file>
    <file>EmailParam.cpp</file>
    <file>Entity.cpp</file>
    <file>Enum.cpp</file>
    <file>FloatValue.cpp</file>
    <file>GeoValue.cpp</file>
    <file>ImageParam.cpp</file>
    <file>ImageValue.cpp</file>
    <file>ImgValue.cpp</file>
    <file>LangValue.cpp</file>
    <file>NValue.cpp</file>
    <file>OrgValue.cpp</file>
    <file>Param.cpp</file>
    <file>PhoneNumberValue.cpp</file>
    <file>RToken.cpp</file>
    <file>SoundValue.cpp</file>
    <file>SourceParam.cpp</file>
    <file>TelParam.cpp</file>
    <file>TelValue.cpp</file>
    <file>testread.cpp</file>
    <file>testwrite.cpp</file>
    <file>TextBinParam.cpp</file>
    <file>TextBinValue.cpp</file>
    <file>TextListValue.cpp</file>
    <file>TextParam.cpp</file>
    <file>TextValue.cpp</file>
    <file>URIValue.cpp</file>
    <file>UTCValue.cpp</file>
    <file>Value.cpp</file>
    <file>vCard-all.cpp</file>
    <file>VCard.cpp</file>
    <file>VCardEntity.cpp</file>
  </compound>
  <compound kind="dir">
    <name>vcardparser</name>
    <path>kdelibs/kabc/vcardparser/</path>
    <filename>dir_d56fb41eac71838b0b08f957ea590bb1.html</filename>
    <file>arser/testread.cpp</file>
    <file>testread2.cpp</file>
    <file>testutils.cpp</file>
    <file>testutils.h</file>
    <file>testvcardformat.cpp</file>
    <file>testvcardformatimpl.cpp</file>
    <file>arser/testwrite.cpp</file>
    <file>testwrite2.cpp</file>
    <file>vcard.cpp</file>
    <file>vcard.h</file>
    <file>vcardline.cpp</file>
    <file>vcardline.h</file>
    <file>vcardparser.cpp</file>
    <file>vcardparser.h</file>
  </compound>
</tagfile>
