<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KBookmarkBar</name>
    <filename>classKBookmarkBar.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotBookmarkSelected</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>abc472e9624b71fd08da8a1719eb1e9d0</anchor>
      <arglist>(KAction::ActivationReason reason, TQt::ButtonState state)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMBActionRemove</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>af24f24f6c8c7ba984b42ef811e51e2dd</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMBActionInsert</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>ad9db10b4f0c906d23ca25a301462443c</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMBActionCopyLocation</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>af52cb5130ab18023e5fc778e784a66dc</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMBActionEditAt</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>aeaad3c6ba5b53b8b291fad39aca3a3a8</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMBActionProperties</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a5ab491415d5042b80a27dd0dc432bf34</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>aboutToShowContextMenu</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a94405993e721351310e1bbff23899ce2</anchor>
      <arglist>(const KBookmark &amp;, TQPopupMenu *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openBookmark</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>ad8337247be341a474914508946d8af5f</anchor>
      <arglist>(const TQString &amp;url, TQt::ButtonState state)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KBookmarkBar</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a9c8a8ca471baac74e161b39152e7f576</anchor>
      <arglist>(KBookmarkManager *manager, KBookmarkOwner *owner, KToolBar *toolBar, KActionCollection *, TQObject *parent=0L, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>ad49307fff9322f5ed9d7a81307ca041d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a4457397aad1558a7f7dc443acd4b61f8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>parentAddress</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a2bcb2a7d0794114c0738a97194c4d0e1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkDomBuilder</name>
    <filename>classKBookmarkDomBuilder.html</filename>
  </compound>
  <compound kind="class">
    <name>KBookmarkExporterBase</name>
    <filename>classKBookmarkExporterBase.html</filename>
  </compound>
  <compound kind="class">
    <name>KBookmarkGroup</name>
    <filename>classKBookmarkGroup.html</filename>
    <member kind="function">
      <type></type>
      <name>KBookmarkGroup</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a4730192942a87021832459779884a15b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KBookmarkGroup</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a338b2e096d9d1185734bc7f80aa83f53</anchor>
      <arglist>(TQDomElement elem)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>groupAddress</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a51511749a712fe879d9600932847fad0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a0cee8d3821f5409fa177ddfbbd708ad2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>first</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>abe40151bcea90078bc1693af0b5193d4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>previous</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a7da8cfaeb9312d37179cfe9f52cf6a84</anchor>
      <arglist>(const KBookmark &amp;current) const </arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>next</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>ae7e4df838c881ab2763305c8fdb48fb4</anchor>
      <arglist>(const KBookmark &amp;current) const </arglist>
    </member>
    <member kind="function">
      <type>KBookmarkGroup</type>
      <name>createNewFolder</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a84a15d2fa0338b2db3b0f23f32d09c3b</anchor>
      <arglist>(KBookmarkManager *mgr, const TQString &amp;text=TQString::null, bool emitSignal=true)</arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>createNewSeparator</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a84aac1c4e3acf5f17c49d080583d409b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>addBookmark</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a4e782ebe70c824715a1c76e457c82361</anchor>
      <arglist>(KBookmarkManager *mgr, const KBookmark &amp;bm, bool emitSignal=true)</arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>addBookmark</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a94fa9bd905f8367743921375f7b11143</anchor>
      <arglist>(KBookmarkManager *mgr, const TQString &amp;text, const KURL &amp;url, const TQString &amp;icon=TQString::null, bool emitSignal=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>moveItem</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a8bee3cfee339a0dc780ce839088b1b30</anchor>
      <arglist>(const KBookmark &amp;item, const KBookmark &amp;after)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteBookmark</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a508b4326ec8cb305352a29d321228db6</anchor>
      <arglist>(KBookmark bk)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isToolbarGroup</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>aafc416ff8c6e276f76e18841fe6926c4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; KURL &gt;</type>
      <name>groupUrlList</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a7137a6ec4d8407a5ceda0b9c0863fe24</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkGroupTraverser</name>
    <filename>classKBookmarkGroupTraverser.html</filename>
  </compound>
  <compound kind="class">
    <name>KBookmarkImporter</name>
    <filename>classKBookmarkImporter.html</filename>
  </compound>
  <compound kind="class">
    <name>KBookmarkImporterBase</name>
    <filename>classKBookmarkImporterBase.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>newBookmark</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>aed94da3a57f4ecf1ccd823fd361e83eb</anchor>
      <arglist>(const TQString &amp;text, const TQCString &amp;url, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newFolder</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>a0c1120a77ab6fd50160fccee4e16c7ee</anchor>
      <arglist>(const TQString &amp;text, bool open, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newSeparator</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>a3ea59a77426f6bd18c8ddc5463da40b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>endFolder</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>a58815056531bb99c39755258c12e0011</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkManager</name>
    <filename>classKBookmarkManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aa3f716aaccda1d84d49059f3d3c43cb4</anchor>
      <arglist>(const TQString &amp;groupAddress, const TQString &amp;caller)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KBookmarkManager</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aa67441407d5a60efb7670ac1b74c400b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUpdate</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a51327231e241329c4fa11be736a5b29a</anchor>
      <arglist>(bool update)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aa1e2c300232b5e5df362dea68b2e11ec</anchor>
      <arglist>(bool toolbarCache=true) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveAs</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ad9e06a1fad1a7381c590d0ea5f6f77ee</anchor>
      <arglist>(const TQString &amp;filename, bool toolbarCache=true) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updateAccessMetadata</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>afcfcb6476eba67a6bf850f104934d1a5</anchor>
      <arglist>(const TQString &amp;url, bool emitSignal=true)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>path</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a145037a8c0b2acc41123d88c04e296c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KBookmarkGroup</type>
      <name>root</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a9e4c52914d6cf87458a9b8b032006a2c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KBookmarkGroup</type>
      <name>toolbar</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a351e9db40515e3a7711cce5cac91336b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>findByAddress</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a1d86fdb5871fd16c183398db4092d9bf</anchor>
      <arglist>(const TQString &amp;address, bool tolerate=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitChanged</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a1038992b78401affd671232b3a7ebb67</anchor>
      <arglist>(KBookmarkGroup &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showNSBookmarks</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aec58f1a5676085aad86df2d6e0de2bdc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowNSBookmarks</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>af2c9aeda058f2d9eaab96af182dc73fc</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEditorOptions</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a3dff5c49da1f8859298b6a0f19ddba87</anchor>
      <arglist>(const TQString &amp;caption, bool browser)</arglist>
    </member>
    <member kind="function">
      <type>KBookmarkNotifier &amp;</type>
      <name>notifier</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a574839e43ec94b9de367ca11add34457</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KBookmarkGroup</type>
      <name>addBookmarkDialog</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a5988fb619e88b24abc8d374946b5658c</anchor>
      <arglist>(const TQString &amp;_url, const TQString &amp;_title, const TQString &amp;_parentBookmarkAddress=TQString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KBookmarkManager *</type>
      <name>managerForFile</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ae22569608ae66171223a4c74a7d898bf</anchor>
      <arglist>(const TQString &amp;bookmarksFile, bool bImportDesktopFiles=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KBookmarkManager *</type>
      <name>userBookmarksManager</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a5b4c132742cd45cfa9609b476311ba8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>userBookmarksFile</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ae7385fbbfd93f9d19ea931e5ff184bb0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KBookmarkManager</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ac13357272f422db71f0e941a5ea6e441</anchor>
      <arglist>(const TQString &amp;bookmarksFile, bool bImportDesktopFiles=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KBookmarkManager</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ae46117344c5cf95671bc3a00eeef2ffb</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkMenu</name>
    <filename>classKBookmarkMenu.html</filename>
    <class kind="struct">KBookmarkMenu::DynMenuInfo</class>
    <member kind="signal">
      <type>void</type>
      <name>openBookmark</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a4cceba1b46c74765503ad3c7084aa3a1</anchor>
      <arglist>(const TQString &amp;url, TQt::ButtonState state)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KBookmarkMenu</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a153e32f30b762a12525bac17f15ca228</anchor>
      <arglist>(KBookmarkManager *mgr, KBookmarkOwner *owner, KPopupMenu *parentMenu, KActionCollection *collec, bool root, bool add=true, const TQString &amp;parentAddress=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillBookmarkMenu</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>ad0174a2feeaa9b4c4f84c090e1fb1de7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ensureUpToDate</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a3c0a1a7becf5a71f6d26ba4111741a1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DynMenuInfo</type>
      <name>showDynamicBookmarks</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a15fc693d7f3bcce117430b2707a4cd79</anchor>
      <arglist>(const TQString &amp;id)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDynamicBookmarks</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>aaf9b913d7016991002219f1dfe018912</anchor>
      <arglist>(const TQString &amp;id, const DynMenuInfo &amp;info)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>dynamicBookmarksList</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>afa9a11ea60cb281d796e36a2412c93c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBookmarkSelected</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a33405127027d2fc732f83f5b1f801855</anchor>
      <arglist>(KAction::ActivationReason reason, TQt::ButtonState state)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNSLoad</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>afef256520e3f145ce8c35e8da95f9f40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KPopupMenu *</type>
      <name>m_parentMenu</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>af6fb103ba088770bd53e1770b72c3bdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; KBookmarkMenu &gt;</type>
      <name>m_lstSubMenus</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>ab1f68ae1aec0be005b0d4c949673fe13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; KAction &gt;</type>
      <name>m_actions</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a08c5cb3d2a6667f971ffa89a852cbb72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_parentAddress</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a05d1851f1bd97098c50c6105037e66fb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KBookmarkMenu::DynMenuInfo</name>
    <filename>structKBookmarkMenu_1_1DynMenuInfo.html</filename>
  </compound>
  <compound kind="class">
    <name>KBookmarkMenuNSImporter</name>
    <filename>classKBookmarkMenuNSImporter.html</filename>
  </compound>
  <compound kind="class">
    <name>KBookmarkNotifier</name>
    <filename>classKBookmarkNotifier.html</filename>
  </compound>
  <compound kind="class">
    <name>KBookmarkOwner</name>
    <filename>classKBookmarkOwner.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openBookmarkURL</name>
      <anchorfile>classKBookmarkOwner.html</anchorfile>
      <anchor>a5ac4b373f4e175f7de9143cb45e8a476</anchor>
      <arglist>(const TQString &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>currentTitle</name>
      <anchorfile>classKBookmarkOwner.html</anchorfile>
      <anchor>af836677e2f4e34519604516372eaa825</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>currentURL</name>
      <anchorfile>classKBookmarkOwner.html</anchorfile>
      <anchor>a100e044d6b3b7d9ebd4109c4c0aea575</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCrashBookmarkImporter</name>
    <filename>classKCrashBookmarkImporter.html</filename>
  </compound>
  <compound kind="class">
    <name>KCrashBookmarkImporterImpl</name>
    <filename>classKCrashBookmarkImporterImpl.html</filename>
    <base>KBookmarkImporterBase</base>
  </compound>
  <compound kind="class">
    <name>KExtendedBookmarkOwner</name>
    <filename>classKExtendedBookmarkOwner.html</filename>
    <base virtualness="virtual">KBookmarkOwner</base>
  </compound>
  <compound kind="class">
    <name>KIEBookmarkImporter</name>
    <filename>classKIEBookmarkImporter.html</filename>
  </compound>
  <compound kind="class">
    <name>KIEBookmarkImporterImpl</name>
    <filename>classKIEBookmarkImporterImpl.html</filename>
    <base>KBookmarkImporterBase</base>
  </compound>
  <compound kind="class">
    <name>KMozillaBookmarkImporterImpl</name>
    <filename>classKMozillaBookmarkImporterImpl.html</filename>
    <base>KNSBookmarkImporterImpl</base>
  </compound>
  <compound kind="class">
    <name>KNSBookmarkExporter</name>
    <filename>classKNSBookmarkExporter.html</filename>
  </compound>
  <compound kind="class">
    <name>KNSBookmarkExporterImpl</name>
    <filename>classKNSBookmarkExporterImpl.html</filename>
    <base>KBookmarkExporterBase</base>
  </compound>
  <compound kind="class">
    <name>KNSBookmarkImporter</name>
    <filename>classKNSBookmarkImporter.html</filename>
  </compound>
  <compound kind="class">
    <name>KNSBookmarkImporterImpl</name>
    <filename>classKNSBookmarkImporterImpl.html</filename>
    <base>KBookmarkImporterBase</base>
  </compound>
  <compound kind="class">
    <name>KOperaBookmarkExporterImpl</name>
    <filename>classKOperaBookmarkExporterImpl.html</filename>
    <base>KBookmarkExporterBase</base>
  </compound>
  <compound kind="class">
    <name>KOperaBookmarkImporter</name>
    <filename>classKOperaBookmarkImporter.html</filename>
  </compound>
  <compound kind="class">
    <name>KOperaBookmarkImporterImpl</name>
    <filename>classKOperaBookmarkImporterImpl.html</filename>
    <base>KBookmarkImporterBase</base>
  </compound>
  <compound kind="class">
    <name>KXBELBookmarkImporterImpl</name>
    <filename>classKXBELBookmarkImporterImpl.html</filename>
    <base>KBookmarkImporterBase</base>
    <base protection="protected">KBookmarkGroupTraverser</base>
  </compound>
  <compound kind="dir">
    <name>bookmarks</name>
    <path>kdelibs/kio/bookmarks/</path>
    <filename>dir_235bd58602c7565610f1a2fd0940f4c1.html</filename>
    <file>dptrtemplate.h</file>
    <file>kbookmark.cc</file>
    <file>kbookmark.h</file>
    <file>kbookmarkbar.cc</file>
    <file>kbookmarkbar.h</file>
    <file>kbookmarkdombuilder.cc</file>
    <file>kbookmarkdombuilder.h</file>
    <file>kbookmarkdrag.cc</file>
    <file>kbookmarkdrag.h</file>
    <file>kbookmarkexporter.cc</file>
    <file>kbookmarkexporter.h</file>
    <file>kbookmarkimporter.cc</file>
    <file>kbookmarkimporter.h</file>
    <file>kbookmarkimporter_crash.cc</file>
    <file>kbookmarkimporter_crash.h</file>
    <file>kbookmarkimporter_ie.cc</file>
    <file>kbookmarkimporter_ie.h</file>
    <file>kbookmarkimporter_kde1.cc</file>
    <file>kbookmarkimporter_kde1.h</file>
    <file>kbookmarkimporter_ns.cc</file>
    <file>kbookmarkimporter_ns.h</file>
    <file>kbookmarkimporter_opera.cc</file>
    <file>kbookmarkimporter_opera.h</file>
    <file>kbookmarkmanager.cc</file>
    <file>kbookmarkmanager.h</file>
    <file>kbookmarkmenu.cc</file>
    <file>kbookmarkmenu.h</file>
    <file>kbookmarknotifier.h</file>
  </compound>
  <compound kind="dir">
    <name>kio</name>
    <path>kdelibs/kio/</path>
    <filename>dir_7850f7265faf56aa73c91570a09dcaa1.html</filename>
    <dir>bookmarks</dir>
  </compound>
</tagfile>
