<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KJS::Collector</name>
    <filename>classKJS_1_1Collector.html</filename>
    <member kind="function" static="yes">
      <type>static void *</type>
      <name>allocate</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>a82ab0f2a4b1a30d51d152432d92b00d4</anchor>
      <arglist>(size_t s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>collect</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>af5a69f9e35f2698694bbbac983eb5272</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Completion</name>
    <filename>classKJS_1_1Completion.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>acd8509ab6b7622c16fdf021803fdd2cb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a1a8b47540a1c5dc0025f111a2c2031b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>ae452f07da93d3888448158e634d71657</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isA</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a1704785fc8140c274b0e7ec03eb0dfe2</anchor>
      <arglist>(Type t) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>toPrimitive</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a6a2cd9a2183172e1166cf1799961383b</anchor>
      <arglist>(ExecState *exec, Type preferredType=UnspecifiedType) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toBoolean</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>abdcb3fc1afee9326af85eec35592f0b8</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toNumber</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>abc006ad65a05568bbebe2c63604766b8</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInteger</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>ac08ef408068ef1a9018559079ad3022e</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>aa116929fe115defe059fc6e0ddf0d362</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a6aee2e9f36bd37afdfb2f0678f8cf69e</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>toUInt16</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>ac7528ce04145335fe32f02d421de36e4</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toString</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a8611b80d868cebf8dd4af2f966810874</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>toObject</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a072d956ce72fd1387bacb27dc466239d</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>af2520c393d340da100f59fba8b67d288</anchor>
      <arglist>(unsigned &amp;i) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ContextImp</name>
    <filename>classKJS_1_1ContextImp.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::InternalFunctionImp</name>
    <filename>classKJS_1_1InternalFunctionImp.html</filename>
    <member kind="function">
      <type></type>
      <name>InternalFunctionImp</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>af62413a9d47abd3075f60c6023256025</anchor>
      <arglist>(FunctionPrototypeImp *funcProto)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>af6ff6e5151f0b6e1d6792194e0752e02</anchor>
      <arglist>(Identifier _ident)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::FunctionPrototypeImp</name>
    <filename>classKJS_1_1FunctionPrototypeImp.html</filename>
    <base>KJS::InternalFunctionImp</base>
  </compound>
  <compound kind="class">
    <name>KJS::Identifier</name>
    <filename>classKJS_1_1Identifier.html</filename>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a0d53178be68490fcc17c11f68c8e29df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a2153b36791c929ed61835956498169bb</anchor>
      <arglist>(const char *s)</arglist>
    </member>
    <member kind="function">
      <type>const UString &amp;</type>
      <name>ustring</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a60e1a5523bb219a8e427733682ad7955</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>qstring</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a37ae1c54a078bd22bff8208b9fa70f17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const UChar *</type>
      <name>data</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a6340421d1ce19b3d1067fe51ba059bbe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a09d4038e75cbf6f50dd5917a2b4cdd2b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>ascii</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a7b4e6ccacac5cae4e55412904541c8ba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a705aa70a7c5ef56ddfda2db508526bde</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a94c7f6aa926ece43ea71ae14a35b2690</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const Identifier &amp;</type>
      <name>null</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a0c11c80ccfb32ebe3ef21445d308765f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::LabelStack</name>
    <filename>classKJS_1_1LabelStack.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>push</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>aa2bda0670ac692d95cc2d7d497d0cb55</anchor>
      <arglist>(const Identifier &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>contains</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a6c195387b3083cce12d579c5d6e6d8d6</anchor>
      <arglist>(const Identifier &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a24c7fa9d3a3e27c40806b40c9089faf2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::FunctionImp</name>
    <filename>classKJS_1_1FunctionImp.html</filename>
    <base>KJS::InternalFunctionImp</base>
  </compound>
  <compound kind="class">
    <name>KJS::Context</name>
    <filename>classKJS_1_1Context.html</filename>
    <member kind="function">
      <type>const ScopeChain &amp;</type>
      <name>scopeChain</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a5f932a341f1c80d086ba0b648328b0dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>variableObject</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a7d685607529ee43ab8c581cb778e129c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>thisValue</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a978fd092041c1f1e3befc1ca54fbcf8c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const Context</type>
      <name>callingContext</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a2ab4d6d9ac5ce8158ed9736ae905ba74</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CodeType</type>
      <name>codeType</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>aa2fdbe7609ccb27af3e694bc26b23a0a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sourceId</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a681a3c4efee526fa72d1450641448b52</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>curStmtFirstLine</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>ac6e871a99a7ee3507b659ee873ffbdac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>curStmtLastLine</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a311c6462b2ccdf34e1c610ff4620a32f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>function</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a57064b1129e2febb31112b27a39b20c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>functionName</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a2a9f5398ffa1f7a98371c5e102a70cfd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>args</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a70ad27926d09d095a4a21fa36afe2908</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Interpreter</name>
    <filename>classKJS_1_1Interpreter.html</filename>
    <member kind="function">
      <type></type>
      <name>Interpreter</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a91cbdbe2a1b34acbd0230b1ad0f72651</anchor>
      <arglist>(const Object &amp;global)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Interpreter</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a9faf0dca72cd27223e5c447b580de2a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Object &amp;</type>
      <name>globalObject</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a6d4867616475f8bca54549e910ae1344</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ExecState *</type>
      <name>globalExec</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>aaeb5d4e2e8d30481851881a06f05a3e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkSyntax</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a74fcc93c30dca80646d8a41c3c6f4509</anchor>
      <arglist>(const UString &amp;code, int *errLine, UString *errMsg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkSyntax</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a6160ffd2f1240e22e9039be23a25c801</anchor>
      <arglist>(const UString &amp;code)</arglist>
    </member>
    <member kind="function">
      <type>Completion</type>
      <name>evaluate</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a656d720cb34b3f614feaa67d4f6545ca</anchor>
      <arglist>(const UString &amp;code, const Value &amp;thisV=Value())</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinObject</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>ad467d009a322544d50af535549c9a18d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinFunction</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a9596e12e9e9ae5bcba0094365dbd26ec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinArray</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a2f7e9fc6cb4e1e10f7b001cb7729d023</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinBoolean</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a033ecdebcc9c3e49acb659038fc6be2f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinString</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a7920e625307cb936a3451533fc2b7c1e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinNumber</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>adaca6baf31e48f80b44db8050a6db237</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinDate</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a6fd0ab80141d4983974e729298b5f3be</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRegExp</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>ae4c66d318c8493caf8ed103ca2efb442</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>ac5426e7f4f5231bb95aaf677abdac5ee</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinObjectPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>ac3b61de9e5220f2322c28c8c06bbb7a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinFunctionPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a4b90dee6a664e8f7cacca526b99c0613</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinArrayPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>aa24b5c50fa1f820510b3f7f8f8c01e57</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinBooleanPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>af669ef2547b7db4aa7f9452247a87677</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinStringPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a91d8ba94c381e43ce59ecbf618bd2ac3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinNumberPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>abe07b8e3809048976edae972183e4e87</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinDatePrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a1572761684c8789e56000e53c0b64a92</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRegExpPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a822c219a83cdf278b416c083097972f2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>ad02aee98b852a7ae0621279b1ac6b6da</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinEvalError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>aa3a2ce17664f47f38cb0b9dfd8f68d0b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCompatMode</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>aa71b6122001e49c40c67cbaf57db7abf</anchor>
      <arglist>(CompatMode mode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>ab8936a99429d275b3c1bd6f97a5527e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a50e5a3db76f1a151362ceec9a6bd3434</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>collect</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a0afcdeb284f68f0788523bbd4647805c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ExecState</name>
    <filename>classKJS_1_1ExecState.html</filename>
    <member kind="function">
      <type>Interpreter *</type>
      <name>dynamicInterpreter</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a3b3a2b4b312b33a64beeb974c948201c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Interpreter *</type>
      <name>lexicalInterpreter</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>af210e5fad440d91a939e71ccb2bf6be7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Context</type>
      <name>context</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>aa2835385776b40626e4cf06887c0550e</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::List</name>
    <filename>classKJS_1_1List.html</filename>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a0754cb5a81b130c65ab13a4e9cff5c52</anchor>
      <arglist>(const Value &amp;val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a14a5b7e2de79f98ecb2a56a529401517</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>copy</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a0ceb301f5a8ef7a5b53eb0ce709c9a39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>copyTail</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>ad89e83022dc90d4ca73e602887a31468</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a6356629da9e2c8cff0e0cbe9f7f61bac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a69835b1e6671235343b0a17923b92c43</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ListIterator</type>
      <name>begin</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a28eebc11fbb2305edecf29f25a06f77e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ListIterator</type>
      <name>end</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a88437e0b6b561b1d4621fb793ad9c018</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>at</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a2d61ae7372efe5319a1d4d633bca2814</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a2330f8f3c9b02cd100c0ecc0b9a0cb6a</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const List &amp;</type>
      <name>empty</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>ad30b847844813d118f8208dbfb6b5ad2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ListIterator</name>
    <filename>classKJS_1_1ListIterator.html</filename>
    <member kind="function">
      <type></type>
      <name>ListIterator</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a095c5df85e7617771c71d55953e2a964</anchor>
      <arglist>(const List &amp;l)</arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>operator-&gt;</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>acdf0c2ed955202a650b99f8fbd2445f1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator++</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a9566ad95d5060f6102db3ac14f19088a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator++</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>aa8be71d375b5aa72831d5d5ad441b60c</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator--</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a85559c54198fc3304f3085ddd00d1584</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator--</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a0dde8b0361d334e0a14341d5664c9d13</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>aa1be6e351c26169840dce6f983464de0</anchor>
      <arglist>(const ListIterator &amp;it) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>ad499e44763d3a2ea9b82c218fd68b460</anchor>
      <arglist>(const ListIterator &amp;it) const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::HashEntry</name>
    <filename>structKJS_1_1HashEntry.html</filename>
    <member kind="variable">
      <type>unsigned short</type>
      <name>soffset</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>afb93ded6bc0d48e1f58056ac4b6a029c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short int</type>
      <name>value</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>ae4dd6db441f29909cd03c9466b2bc931</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>attr</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>a12c2b8d0dc49b3f26695c10a5a1a4781</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>params</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>a4886c63e2d87d0731ac60821bf59175b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>next</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>ad95917ba5e39d20c8fc8c43810045a21</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::HashTable</name>
    <filename>structKJS_1_1HashTable.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>type</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>ae38f682939fba01691428863d9b4bfa1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>size</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>a81197ec5685573938c9e0ba1423cc08b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const HashEntry *const</type>
      <name>entries</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>a7c4140e42df68f8eae1ea17a93150ecf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>hashSize</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>ad8bcaed94f9a1fb84377a27a98e4f79a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *const</type>
      <name>sbase</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>a22acd0e8efcefaad0c73cce8f5e6cccd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Lookup</name>
    <filename>classKJS_1_1Lookup.html</filename>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>a7fa6228cc9915fe1fe4ec8690c5c7447</anchor>
      <arglist>(const struct HashTable *table, const Identifier &amp;s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const HashEntry *</type>
      <name>findEntry</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>a97a1e8d2a5bb04cf1b1aa51b91b58c12</anchor>
      <arglist>(const struct HashTable *table, const Identifier &amp;s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned int</type>
      <name>hash</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>ac58bd6094ab67d70d3036f3951d6b2f7</anchor>
      <arglist>(const Identifier &amp;key)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::BinaryLogicalNode</name>
    <filename>classKJS_1_1BinaryLogicalNode.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::ConditionalNode</name>
    <filename>classKJS_1_1ConditionalNode.html</filename>
  </compound>
  <compound kind="struct">
    <name>KJS::ClassInfo</name>
    <filename>structKJS_1_1ClassInfo.html</filename>
    <member kind="variable">
      <type>const char *</type>
      <name>className</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>a65ebb96070dab1ebdbd7fcca128fcd7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const ClassInfo *</type>
      <name>parentClass</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>aac9d415e8e0349df8cd56f24c3a7b28c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const HashTable *</type>
      <name>propHashTable</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>a9828b2b86f41ebf22161ef101bf31308</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>void *</type>
      <name>dummy</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>a05cfb01019d68b46552d9ce7a9ee1752</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Object</name>
    <filename>classKJS_1_1Object.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type>Value</type>
      <name>prototype</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a2cff3f0240090b1e18bb1fe0160ae7cd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>className</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a17276492a78bac1b2a6f777d6dc819a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>get</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a394b5e197af70d97568c5e17fe61b19f</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>put</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>aa67ec5ebaa19921db0fec1688378da2e</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName, const Value &amp;value, int attr=None)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canPut</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a5e06be1d8516b039ef13e07b7dcc6649</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a8c0f1def86d09e32d8df1e27c3201922</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a2d640f4d38e26af206e47723db28bd90</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>defaultValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>afdd98c67850006fd3ed8139683125096</anchor>
      <arglist>(ExecState *exec, Type hint) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsConstruct</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a4895ab8a12addaadb7e7f623fca8164b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>construct</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a85a7d585cbaeaef5bff34676bb748cc7</anchor>
      <arglist>(ExecState *exec, const List &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsCall</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a7c08a913629973d9eddf5b7f53ef5200</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>call</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>ab07be3e90ba2ba8352a9609cc4ac703c</anchor>
      <arglist>(ExecState *exec, Object &amp;thisObj, const List &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsHasInstance</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>aea23ed46537c553309db0175fc16c3c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Boolean</type>
      <name>hasInstance</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>aaf2fd9b4bdd6f136a47c4e687703979e</anchor>
      <arglist>(ExecState *exec, const Value &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>const ScopeChain &amp;</type>
      <name>scope</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a9d73e7096217ae16b112d9a12196efb4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ReferenceList</type>
      <name>propList</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a8c7f2e3e8a4e60713cb58f8526cf875b</anchor>
      <arglist>(ExecState *exec, bool recursive=true)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>internalValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>ae57ce80e0db9939378bdf4ce7d68b4bb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInternalValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a467d7a34694e82573c77fda53fffa50e</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Object</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>ab12ea86cb49e21ea6c5547507f8d128e</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Error</name>
    <filename>classKJS_1_1Error.html</filename>
    <member kind="function" static="yes">
      <type>static Object</type>
      <name>create</name>
      <anchorfile>classKJS_1_1Error.html</anchorfile>
      <anchor>ad90381467b6e9fbae92c0975852048f2</anchor>
      <arglist>(ExecState *exec, ErrorType errtype=GeneralError, const char *message=0, int lineno=-1, int sourceId=-1)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char *const *const</type>
      <name>errorNames</name>
      <anchorfile>classKJS_1_1Error.html</anchorfile>
      <anchor>a52b56f086d2a4346a5e6567a0989c20f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::SavedProperties</name>
    <filename>classKJS_1_1SavedProperties.html</filename>
  </compound>
  <compound kind="struct">
    <name>KJS::PropertyMapHashTableEntry</name>
    <filename>structKJS_1_1PropertyMapHashTableEntry.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::PropertyMap</name>
    <filename>classKJS_1_1PropertyMap.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::Reference</name>
    <filename>classKJS_1_1Reference.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type>Value</type>
      <name>getBase</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>af070cb7ed41d232ffd418e47a29b07c2</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>getPropertyName</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>af93ee43d7fedeb3437a3b2f23f7ad3a9</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>getValue</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a0b221dd9c9eb8681f49adf852402dfb0</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>putValue</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a9a7b40644137d1a2a98a3f682c951735</anchor>
      <arglist>(ExecState *exec, const Value &amp;w)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ReferenceListIterator</name>
    <filename>classKJS_1_1ReferenceListIterator.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::ReferenceList</name>
    <filename>classKJS_1_1ReferenceList.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::ScopeChainNode</name>
    <filename>classKJS_1_1ScopeChainNode.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::ScopeChain</name>
    <filename>classKJS_1_1ScopeChain.html</filename>
  </compound>
  <compound kind="struct">
    <name>KJS::UChar</name>
    <filename>structKJS_1_1UChar.html</filename>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a8aaf0cd63570e2d271a863297e0dad31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>af0bd84e189571915c31637231fdf87e1</anchor>
      <arglist>(unsigned char h, unsigned char l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a36b7b16705c2bd371b0f5fe1a18d610d</anchor>
      <arglist>(unsigned short u)</arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>high</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a6229b224db180240fd39cb9807903117</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>low</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>ae7e34f025de28cd88887d8d9d9c4e36f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>unicode</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a27abfa37a66ab6e4dfc2bf59d66bacef</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toLower</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a2bff21a3a261b92e69f0155a074a7ae2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toUpper</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>ac9b1d14631d6d7c2dc4cb82eb7d4389c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static UChar</type>
      <name>null</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a4954d69677d944c7699373849f419ba7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::UCharReference</name>
    <filename>classKJS_1_1UCharReference.html</filename>
    <member kind="function">
      <type>UCharReference &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a56eecba3f451dce35c90d54d4aae2e3e</anchor>
      <arglist>(UChar c)</arglist>
    </member>
    <member kind="function">
      <type>UCharReference &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a42e66202a226820c03bfb09ddd813641</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>unicode</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>ab013660c6626c19476ce115233b2060c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>low</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>af8ece116eb78cdfb84039afb0152f7f2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>high</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a9448f6fbef2c159d0dc06bbfeb543213</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toLower</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a659e074bc4f0b31cf929b716b98d2c37</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toUpper</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a69b5850d4e8cd22b6c0976fee3997b4e</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::CString</name>
    <filename>classKJS_1_1CString.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::UString</name>
    <filename>classKJS_1_1UString.html</filename>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a6bff2ea822acdda7aa6203a31e2de5e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a3f119ee9f4b878721ca3c75fb15fbdd5</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a2a7c6a727fa9eb36aabc639644e3c026</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a02853f089c16880f35e4da47bd431ad6</anchor>
      <arglist>(const UChar *c, int length)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a2a3e7b1572efdee9bde6e10ec9c9b9e8</anchor>
      <arglist>(UChar *c, int length, bool copy)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>abd8f3a875d630b792ca9dcb8b0828134</anchor>
      <arglist>(const UString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ae0adb7188c4c4b43f6630cec3a6a0d38</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a979972a884e0e907965219aa7905da3e</anchor>
      <arglist>(const DOM::DOMString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>aba0f033ac9b764df0130087af1a3a6ff</anchor>
      <arglist>(const UString &amp;, const UString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a307f135cb824def333ba70c2846e13b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>append</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>af20edaa32eba4f5c3a148098e843742d</anchor>
      <arglist>(const UString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CString</type>
      <name>cstring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a8698c19cee7a6ac284cedcc213a16149</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>ascii</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a2ac3d2b62d65d075f2d99bf7ed2ec366</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DOM::DOMString</type>
      <name>string</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a6fd8743fa74aaee5a9f174fc673e2f86</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>qstring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>aed95ece670795389d764a6baa4c0fd0c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQConstString</type>
      <name>qconststring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>adc67659ca6a988d6546bf5fbbcd8ced8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a6c59536babf6a3f14f6cd762b6e3cce1</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>operator+=</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a99ab366119bf72868ae4bf9ed098cc41</anchor>
      <arglist>(const UString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const UChar *</type>
      <name>data</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a7dd595aa3385b55938014b32a0e88d0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a13c9d3fb7c7f081736b28ee2d76471d4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a44f8654cc09f4226980b6b85383abb03</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is8Bit</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a510d0787fffb496abd11bdfebc17b8dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a43b493879fd9d2d8e13039d1610cb3b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a87e53841d25d6707c6058bb0f53547f2</anchor>
      <arglist>(int pos) const </arglist>
    </member>
    <member kind="function">
      <type>UCharReference</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a3ab183a5bc8eff73f8f374536b54e44c</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a3f6f047b366a516ad6e9043b4d0d7db9</anchor>
      <arglist>(bool tolerateTrailingJunk, bool tolerateEmptyString) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>toULong</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>abe9ab18ec02094d99ff8de9f8f30ce62</anchor>
      <arglist>(bool *ok, bool tolerateEmptyString) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned</type>
      <name>toArrayIndex</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a2810a2dbfcdb92db9e10f415f21c6008</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toLower</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a24df9fa57edddca8d0491d5317ce1a3c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toUpper</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ae788ab7e6b98528da8a5f0999af03b5c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a8a7e8222f9166800c8250cb02b0d717a</anchor>
      <arglist>(const UString &amp;f, int pos=0) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rfind</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ab527e50972f678180a4fe6664a3ef264</anchor>
      <arglist>(const UString &amp;f, int pos) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>substr</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a9803bb317f9ad51ce189c2f688cf1941</anchor>
      <arglist>(int pos=0, int len=-1) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>afa4fb189e0a0a6094b54516833eb0257</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a37a7ad711ecba8d5877543a3fbd569fe</anchor>
      <arglist>(unsigned int u)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a35acd4fb09b924dffe70254d500e8fcc</anchor>
      <arglist>(long l)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>acd2c0f8da1e7b0b9958e5742150347a6</anchor>
      <arglist>(double d)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static UString</type>
      <name>null</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ab593c40f5576c145960dc5e9bbdb80ea</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ValueImp</name>
    <filename>classKJS_1_1ValueImp.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::Value</name>
    <filename>classKJS_1_1Value.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::Undefined</name>
    <filename>classKJS_1_1Undefined.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Undefined</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Undefined.html</anchorfile>
      <anchor>a2f8a1c7556b12c35c66945af335e663d</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Null</name>
    <filename>classKJS_1_1Null.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Null</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Null.html</anchorfile>
      <anchor>ac55086549993e5b9ec82888d1fbad4a2</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Boolean</name>
    <filename>classKJS_1_1Boolean.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Boolean</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Boolean.html</anchorfile>
      <anchor>a96f5bc36ab27fd2c6616bafc74dc953c</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::String</name>
    <filename>classKJS_1_1String.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static String</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1String.html</anchorfile>
      <anchor>a9934613ec4bb9e634b21d1cb5642ed1f</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Number</name>
    <filename>classKJS_1_1Number.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Number</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a574a744ace39612446d1f8fc59c48bc2</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>kjs</name>
    <path>kdelibs/kjs/</path>
    <filename>dir_97368f0f7b0db939bc08e84ff1d06e71.html</filename>
    <file>array_instance.h</file>
    <file>array_object.cpp</file>
    <file>array_object.h</file>
    <file>bool_object.cpp</file>
    <file>bool_object.h</file>
    <file>collector.cpp</file>
    <file>collector.h</file>
    <file>completion.h</file>
    <file>context.h</file>
    <file>date_object.cpp</file>
    <file>date_object.h</file>
    <file>debugger.cpp</file>
    <file>debugger.h</file>
    <file>dtoa.cpp</file>
    <file>dtoa.h</file>
    <file>error_object.cpp</file>
    <file>error_object.h</file>
    <file>function.cpp</file>
    <file>function.h</file>
    <file>function_object.cpp</file>
    <file>function_object.h</file>
    <file>grammar.cpp</file>
    <file>grammar.h</file>
    <file>identifier.cpp</file>
    <file>identifier.h</file>
    <file>internal.cpp</file>
    <file>internal.h</file>
    <file>interpreter.cpp</file>
    <file>interpreter.h</file>
    <file>lexer.cpp</file>
    <file>lexer.h</file>
    <file>list.cpp</file>
    <file>list.h</file>
    <file>lookup.cpp</file>
    <file>lookup.h</file>
    <file>math_object.cpp</file>
    <file>math_object.h</file>
    <file>nodes.cpp</file>
    <file>nodes.h</file>
    <file>nodes2string.cpp</file>
    <file>number_object.cpp</file>
    <file>number_object.h</file>
    <file>object.cpp</file>
    <file>object.h</file>
    <file>object_object.cpp</file>
    <file>object_object.h</file>
    <file>operations.cpp</file>
    <file>operations.h</file>
    <file>property_map.cpp</file>
    <file>property_map.h</file>
    <file>reference.cpp</file>
    <file>reference.h</file>
    <file>reference_list.cpp</file>
    <file>reference_list.h</file>
    <file>regexp.cpp</file>
    <file>regexp.h</file>
    <file>regexp_object.cpp</file>
    <file>regexp_object.h</file>
    <file>scope_chain.cpp</file>
    <file>scope_chain.h</file>
    <file>simple_number.h</file>
    <file>string_object.cpp</file>
    <file>string_object.h</file>
    <file>testkjs.cpp</file>
    <file>types.h</file>
    <file>ustring.cpp</file>
    <file>ustring.h</file>
    <file>value.cpp</file>
    <file>value.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Trinity JavaScript/EcmaScript Engine</title>
    <filename>index</filename>
  </compound>
</tagfile>
