<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>ASpellDict</name>
    <filename>classASpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a1aed09c98c242223bb0f0c4744690cc5</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>suggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a980669b8459a87afb587288ab8cb0437</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>ab7e7e88bf1fa5471eb5bdd70528b2774</anchor>
      <arglist>(const TQString &amp;word, TQStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a283df019ab309f69a8b41df34ef06f3f</anchor>
      <arglist>(const TQString &amp;bad, const TQString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a947378b7dfac077eaa433408b7b39067</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>a3f705ef0682ddbf4649ae4d0f7844dc7</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a838864db3404f76e0feb44fb0ecd9949</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefault</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a2b4181c3eb238ae172a80d48aa36e4b9</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HSpellDict</name>
    <filename>classHSpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a463edc332d70b060ced9246eb38a83b1</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>suggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a73a6314878679032f937e8a68ce47826</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a41a081c13ae791ab001b2f7e75af31fe</anchor>
      <arglist>(const TQString &amp;word, TQStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>acd8a1917813c7f69a053680957735a61</anchor>
      <arglist>(const TQString &amp;bad, const TQString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a87ddd1f47b3f829cecddc5ae3aa084bd</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>a74b1b651c012fea8fe7487b4f3e851f2</anchor>
      <arglist>(const TQString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KSpell2</name>
    <filename>namespaceKSpell2.html</filename>
    <class kind="class">KSpell2::BackgroundChecker</class>
    <class kind="class">KSpell2::Broker</class>
    <class kind="class">KSpell2::Client</class>
    <class kind="class">KSpell2::Dictionary</class>
    <class kind="struct">KSpell2::Word</class>
    <class kind="class">KSpell2::Filter</class>
  </compound>
  <compound kind="class">
    <name>KSpell2::BackgroundChecker</name>
    <filename>classKSpell2_1_1BackgroundChecker.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>continueChecking</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>afa4464855f83f288a6b8f43246a34a65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a8185bc197d5188c8dbcc7e30eab80a90</anchor>
      <arglist>(const TQString &amp;word, int start)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a4e7bf05cd91982ea47af2c886f37417c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a6bc7c32ff2857e6c7a202a5b8e63af13</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual TQString</type>
      <name>getMoreText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>aa1a0a76d2c53f2ca97ec13905480b533</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>finishedCurrentFeed</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>a35c6d826b79ee96994e3752f9a66fd8d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Broker</name>
    <filename>classKSpell2_1_1Broker.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>configurationChanged</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a5f33f79659ed4b1c2144396239d33b83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DefaultDictionary *</type>
      <name>defaultDictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>ac17c415520a566250827219de5e3bec9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a29ab510e6f57473692a38954711be3b8</anchor>
      <arglist>(const TQString &amp;language=TQString::null, const TQString &amp;client=TQString::null) const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>clients</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a94b4dd98d1773301a2967a6037870fce</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>languages</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a8a4b026defcb8e7e5de0567b5d7ba576</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a7015479936e1e5768648034b99f37171</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Broker *</type>
      <name>openBroker</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>a7e2ecb1f8b58ef7711dbb03866cf019e</anchor>
      <arglist>(KSharedConfig *config=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Client</name>
    <filename>classKSpell2_1_1Client.html</filename>
  </compound>
  <compound kind="class">
    <name>KSpell2::Dictionary</name>
    <filename>classKSpell2_1_1Dictionary.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>aeeb92baa905f1092773e2fbc775bbfb5</anchor>
      <arglist>(const TQString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>aaeeaa725e078087f09b1b5289c591307</anchor>
      <arglist>(const TQString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a00968ec2249a0023c48401cd6107d8c4</anchor>
      <arglist>(const TQString &amp;word, TQStringList &amp;suggestions)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>aa98940270460c2ad9ee2edcd6fdeb8f9</anchor>
      <arglist>(const TQString &amp;bad, const TQString &amp;good)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a75d961d957b2ffbb093a9ba52315afc9</anchor>
      <arglist>(const TQString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>a54d286d82300ae4a9baf4a8ebab394e7</anchor>
      <arglist>(const TQString &amp;word)=0</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KSpell2::Word</name>
    <filename>structKSpell2_1_1Word.html</filename>
  </compound>
  <compound kind="class">
    <name>KSpell2::Filter</name>
    <filename>classKSpell2_1_1Filter.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setSettings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a71c8308c111b71cd17e7409b9e6c480b</anchor>
      <arglist>(Settings *)</arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>acbe110cc6719a25084b844361296ef93</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>context</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>a3e1ac26a2d64e06cee5201ed617efdfe</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>aspell</name>
    <path>kdelibs/kspell2/plugins/aspell/</path>
    <filename>dir_0638a6918442ee930d6fac50cff6443f.html</filename>
    <file>kspell_aspellclient.cpp</file>
    <file>kspell_aspellclient.h</file>
    <file>kspell_aspelldict.cpp</file>
    <file>kspell_aspelldict.h</file>
  </compound>
  <compound kind="dir">
    <name>hspell</name>
    <path>kdelibs/kspell2/plugins/hspell/</path>
    <filename>dir_7694c1f3c0e9a7e59374f655d05a78c1.html</filename>
    <file>kspell_hspellclient.cpp</file>
    <file>kspell_hspellclient.h</file>
    <file>kspell_hspelldict.cpp</file>
    <file>kspell_hspelldict.h</file>
  </compound>
  <compound kind="dir">
    <name>ispell</name>
    <path>kdelibs/kspell2/plugins/ispell/</path>
    <filename>dir_c16653fcf791dde0dfb0dd37958db198.html</filename>
    <file>correct.cpp</file>
    <file>good.cpp</file>
    <file>hash.cpp</file>
    <file>ispell.h</file>
    <file>ispell_checker.cpp</file>
    <file>ispell_checker.h</file>
    <file>ispell_def.h</file>
    <file>kspell_ispellclient.cpp</file>
    <file>kspell_ispellclient.h</file>
    <file>kspell_ispelldict.cpp</file>
    <file>kspell_ispelldict.h</file>
    <file>lookup.cpp</file>
    <file>makedent.cpp</file>
    <file>msgs.h</file>
    <file>sp_spell.h</file>
    <file>tgood.cpp</file>
  </compound>
  <compound kind="dir">
    <name>kspell2</name>
    <path>kdelibs/kspell2/</path>
    <filename>dir_636897c150446d9fa1907f62944ab5d1.html</filename>
    <dir>plugins</dir>
    <dir>ui</dir>
    <file>backgroundchecker.cpp</file>
    <file>backgroundchecker.h</file>
    <file>backgroundengine.cpp</file>
    <file>backgroundengine.h</file>
    <file>backgroundthread.cpp</file>
    <file>backgroundthread.h</file>
    <file>broker.cpp</file>
    <file>broker.h</file>
    <file>client.cpp</file>
    <file>client.h</file>
    <file>defaultdictionary.cpp</file>
    <file>defaultdictionary.h</file>
    <file>dictionary.h</file>
    <file>filter.cpp</file>
    <file>filter.h</file>
    <file>settings.cpp</file>
    <file>settings.h</file>
    <file>threadevents.h</file>
  </compound>
  <compound kind="dir">
    <name>plugins</name>
    <path>kdelibs/kspell2/plugins/</path>
    <filename>dir_bb53e10acbf576e0f2bab0fec985e11e.html</filename>
    <dir>aspell</dir>
    <dir>hspell</dir>
    <dir>ispell</dir>
  </compound>
  <compound kind="dir">
    <name>ui</name>
    <path>kdelibs/kspell2/ui/</path>
    <filename>dir_aaaa2b37cf16491be13fb198a526bd4e.html</filename>
    <file>configdialog.cpp</file>
    <file>configdialog.h</file>
    <file>configwidget.cpp</file>
    <file>configwidget.h</file>
    <file>dialog.cpp</file>
    <file>dialog.h</file>
    <file>highlighter.cpp</file>
    <file>highlighter.h</file>
  </compound>
</tagfile>
