<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>main</name>
    <title>Main classes</title>
    <filename>group__main.html</filename>
    <class kind="class">KFind</class>
    <class kind="class">KFindDialog</class>
    <class kind="class">KMultiTabBar</class>
    <class kind="class">KPluginInfo</class>
    <class kind="class">KPluginSelector</class>
    <class kind="class">KReplace</class>
    <class kind="class">KReplaceDialog</class>
    <class kind="class">KSettings::Dialog</class>
  </compound>
  <compound kind="group">
    <name>internal</name>
    <title>Internal classes</title>
    <filename>group__internal.html</filename>
  </compound>
  <compound kind="group">
    <name>findreplace</name>
    <title>Find and Replace classes</title>
    <filename>group__findreplace.html</filename>
    <class kind="class">KFind</class>
    <class kind="class">KFindDialog</class>
    <class kind="class">KReplace</class>
    <class kind="class">KReplaceDialog</class>
  </compound>
  <compound kind="group">
    <name>plugin</name>
    <title>Plugin handling classes</title>
    <filename>group__plugin.html</filename>
    <class kind="class">KPluginInfo</class>
    <class kind="class">KPluginSelector</class>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="group">
    <name>settings</name>
    <title>Settings UI classes</title>
    <filename>group__settings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="group">
    <name>kcmodule</name>
    <title>KControl module classes</title>
    <filename>group__kcmodule.html</filename>
    <class kind="class">KCModuleContainer</class>
    <class kind="class">KCModuleInfo</class>
    <class kind="class">KCModuleLoader</class>
    <class kind="class">KCModuleProxy</class>
    <class kind="class">KCModuleProxyIface</class>
    <class kind="class">KCModuleProxyRootDispatcher</class>
    <class kind="class">KCMultiDialog</class>
    <member kind="define">
      <type>#define</type>
      <name>KCMODULECONTAINER</name>
      <anchorfile>group__kcmodule.html</anchorfile>
      <anchor>gacedd0c5a0b0fc9bb8aff94df7f9cc36b</anchor>
      <arglist>(modules, factoryName)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>multitabbar</name>
    <title>KMultiTabBar related classes</title>
    <filename>group__multitabbar.html</filename>
    <class kind="class">KMultiTabBar</class>
    <class kind="class">KMultiTabBarButton</class>
    <class kind="class">KMultiTabBarTab</class>
  </compound>
  <compound kind="class">
    <name>KCModuleContainer</name>
    <filename>classKCModuleContainer.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a7197ab81827314abdbc77293e07d92c1</anchor>
      <arglist>(TQWidget *parent, const char *name, const TQStringList &amp;mods)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>aa6db3002635eef1aa8ab39d3cb622b79</anchor>
      <arglist>(TQWidget *parent, const char *name, const TQString &amp;mods=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>afb81e38cc14e8ed6bfde73097e10c134</anchor>
      <arglist>(const TQString &amp;module)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a215fa8026d572cc63a3db839b9668636</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>ac1249b2eb8ea0b9ae87e08bc2a767c6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a0303378ac8fb90ba7b8c0a2b5ec50eb6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>ac3fc513b06ffe5d4b5b5c3afb5b55485</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>finalize</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>abcbc0d7a75c16fdeba24faaa14534c6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>changedModules</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>aaab884a12b195a3d1ddffbcb6ea97eb7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>allModules</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a2581c26fb712ac3952983d42f1058a09</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleInfo</name>
    <filename>classKCModuleInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a1bfda4e73d0c66f02456d583be6c464c</anchor>
      <arglist>(const TQString &amp;desktopFile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a877b61a1c81939244cce405d5a388cd2</anchor>
      <arglist>(KService::Ptr moduleInfo)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>af57abec101dc24864ecbba8ed1e16e59</anchor>
      <arglist>(const KCModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>aa43bd95cc8ed429218a0e966f2d7bcd6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCModuleInfo &amp;</type>
      <name>operator=</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a587b079bf8e14161ffc41c36656091c5</anchor>
      <arglist>(const KCModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ac53c810a4a659ff87d60d57684be73a2</anchor>
      <arglist>(const KCModuleInfo &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a93bd6eb0b3130ddea02b4331ad01fe79</anchor>
      <arglist>(const KCModuleInfo &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a7c8d6229e1d1e3780611675a883dcdfa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>fileName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>adfca5ee831560ababbddef0e6b414ed0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQStringList &amp;</type>
      <name>keywords</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>abf674e41dc4f7b89a5c4c5688600a4e1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>factoryName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ad3a5a1757a60cd9aa68520f46be4e51f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>moduleName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ab32b44f716f89333e0d9d91dfa6b19b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a7879a84f03689ff28644a98ea40d4b73</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>comment</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a19cf7a19e0f8222d5630e1f7503dc94f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>icon</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a1a163ea0b2ad191bd6014f2af284c211</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>docPath</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a011bf9c2e388a35f93c944a430cf71f0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>library</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ad11ea8bc600d9ae9b89810bb7cde0ef8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>handle</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>add1fe7501cbbfddd1c5dbf81d4d2d67a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a9e2f29020d51e0db5372fc411a10dabf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsRootPrivileges</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>af8410aecdc6fdcd0d6f54c8bae671b0b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHiddenByDefault</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ac4acf93db2dceca5f2ab45a41f38f724</anchor>
      <arglist>() const KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsTest</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a801f0ca9a310c7cdaaabf17466b85b41</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setKeywords</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a9e179a506e1b1e5bbdec1368f0933aa7</anchor>
      <arglist>(const TQStringList &amp;keyword)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>aa4fcb643599c8098e6dbef17a4f15a77</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setComment</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a53423d3af38d68fcaf6ae26f7bb8556e</anchor>
      <arglist>(const TQString &amp;comment)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a7ad29914dad5805e46be80b8054ec9a6</anchor>
      <arglist>(const TQString &amp;icon)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLibrary</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a7fa79eac6b900e3e015141575553cc8e</anchor>
      <arglist>(const TQString &amp;lib)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHandle</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a4fc5f520e9f3a733af6cbfe629ab0315</anchor>
      <arglist>(const TQString &amp;handle)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setWeight</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ae9a42f8493ca7561cc74451431d92184</anchor>
      <arglist>(int weight)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsTest</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ab158b4d67fbfea068975f00d9d73a3e6</anchor>
      <arglist>(bool val)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsRootPrivileges</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>aec95c589ce2273f7f7a0ab18ad1d9b9e</anchor>
      <arglist>(bool needsRootPrivileges)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIsHiddenByDefault</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ade52f29a983821c3dd724453ce97efd7</anchor>
      <arglist>(bool isHiddenByDefault)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDocPath</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a9f5c0390db335a7bcee47a1ccecb92ff</anchor>
      <arglist>(const TQString &amp;p)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadAll</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ab8bdff413ef73a547fd8cd6b4f339a92</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleLoader</name>
    <filename>classKCModuleLoader.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>ErrorReporting</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a81df4206a4263bda1faeecc4e9d5747d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>None</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a81df4206a4263bda1faeecc4e9d5747da20014ac1da26a191b4d9de679ae9d3e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Inline</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a81df4206a4263bda1faeecc4e9d5747da005cd4b0726931d7e3c564b24c1e2bb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Dialog</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a81df4206a4263bda1faeecc4e9d5747da746e97d8f1d1cf1235b1d9e2559ede0a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Both</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a81df4206a4263bda1faeecc4e9d5747dac900aa7bd376141a32912f2e49ae68ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>ab224daf0e5985b97bbceb051916d81c1</anchor>
      <arglist>(const KCModuleInfo &amp;module, bool withFallback=true, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>ae687b2ed797972f6a71b187a6c385325</anchor>
      <arglist>(const TQString &amp;module, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>aa93794ac590a21b25afd268caed4f232</anchor>
      <arglist>(const KCModuleInfo &amp;module, ErrorReporting report, bool withFallback=true, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a126e30b3d8f98ff92a0dc6c7b9272bd1</anchor>
      <arglist>(const TQString &amp;module, ErrorReporting report, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>unloadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>a486d01e5f9c68b2c44d4c34de034a6ad</anchor>
      <arglist>(const KCModuleInfo &amp;mod)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>showLastLoaderError</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>aaa02ebba251fdc6d5ab24e0468eb64e1</anchor>
      <arglist>(TQWidget *parent) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>af359994e483a9ac871b0aae0d10f53a0</anchor>
      <arglist>(const TQString &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>aebdb15cace1e405eeee8d6eddb4f4dea</anchor>
      <arglist>(const KCModuleInfo &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>reportError</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>afc1847276741c5f3de7b31054ef65be8</anchor>
      <arglist>(ErrorReporting report, const TQString &amp;text, TQString details, TQWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxy</name>
    <filename>classKCModuleProxy.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>runAsRoot</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a883dbea3dfdb9f3018ce95b84e31b644</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a564d47d826e86554978924ee0f00d839</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteClient</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a50ccc8c6b1cd7f49447812024b3b976f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>acd8b1e4801637e804d8b247b361db492</anchor>
      <arglist>(KCModuleProxy *mod)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>childClosed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a13d414891c7a428e42e8a72666461438</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>aa63d823355f1cb048f6d14aefe02864a</anchor>
      <arglist>(const KCModuleInfo &amp;info, bool withFallback=true, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a81a10f91be86d0d91a7ef105442f603a</anchor>
      <arglist>(const TQString &amp;serviceName, bool withFallback=true, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a23044efe4b8d0f57728164e03f67f09c</anchor>
      <arglist>(const KService::Ptr &amp;service, bool withFallback=true, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>ad9a6f8d829a0cac4d9f9dce1ff090d18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>acf8c3283771767a2a2f907a27d09c64c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a73a578508c3a025c2813536fc6c8a558</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a92d1217d1b4771e014531a4e941d0055</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a065eae3a65b2990c638f76a9076369cd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>buttons</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>af082458a1daf87723f9822eef8bc7c8a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>rootOnlyMsg</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>abec95f84e7280a991a676adef7e6a701</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useRootOnlyMsg</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a822a6ddf4b08d793f833669b0a2c1ac9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KInstance *</type>
      <name>instance</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a36acc4f607c45ab2b363df713347940e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>ae4b79c3fee9d60e24c172eed7afe3b98</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>rootMode</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a28e157c0338d0904a2c759a68bbe5f95</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KCModule *</type>
      <name>realModule</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>aa5e799e6e780c60f5503307246552c70</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KCModuleInfo &amp;</type>
      <name>moduleInfo</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>aa881159fed115bc8b6a8697dc8d7270b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>dcopName</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a53824e8d02501d816f4cc70f8be6b168</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a64d70b7da7cd645eb93df0326a3185bc</anchor>
      <arglist>(TQShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>init</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a0ee69f8bbf5191adf97e31cc48d63087</anchor>
      <arglist>(const KCModuleInfo &amp;info)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>emitQuickHelpChanged</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>ae64a32a3e2dc095e2336443c9151c8db</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyIface</name>
    <filename>classKCModuleProxyIface.html</filename>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyRootDispatcher</name>
    <filename>classKCModuleProxyRootDispatcher.html</filename>
  </compound>
  <compound kind="class">
    <name>KCMultiDialog</name>
    <filename>classKCMultiDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>abf8d7b3c52fd90d348c680b8a067aee9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a5365ac6cd7229c0cad4e67946192e471</anchor>
      <arglist>(const TQCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a9a98918740f566757fcaaba37ab68f92</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a807d6af08f5b47b1725611cb4c0a6df9</anchor>
      <arglist>(int dialogFace, const TQString &amp;caption, TQWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a2f918525bcb351bf82a7742bdea1587c</anchor>
      <arglist>(int dialogFace, const KGuiItem &amp;user2, const KGuiItem &amp;user3=KGuiItem(), int buttonMask=User2, const TQString &amp;caption=i18n(&quot;Configure&quot;), TQWidget *parent=0, const char *name=0, bool modal=false) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a88fdcf3a3569b9097cad0364a7b428f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>ac86bcce4a66d09f6d1ea0b06de14c10d</anchor>
      <arglist>(const TQString &amp;module, bool withfallback=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>ad7bf60ff80ba9cba3036793ba3e5a4ce</anchor>
      <arglist>(const KCModuleInfo &amp;moduleinfo, TQStringList parentmodulenames=TQStringList(), bool withfallback=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAllModules</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>af2ae2d273211ee137a67a01fe244df25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDefault</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>aa18c0253a7cf99662f0cfd11f9a955b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser1</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>ac65df4021c119c0eb0659edd0261476b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>af3318dc97ed7640892714ea001079d27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a7302c5cd148118d994d5442b233edee5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotHelp</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>abe9931a715ecf85eda04a46e1900785c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFind</name>
    <filename>classKFind.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Result</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a40a6b946c7c572127a8bc03f0983086f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoMatch</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a40a6b946c7c572127a8bc03f0983086faba61fbb9416d27f4ca375335f6aadf5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Match</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a40a6b946c7c572127a8bc03f0983086fafbed2acec3f17225b88e7e8d7d4a6027</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ad7ec5c1e38c0a34e1eaa33164a652a39</anchor>
      <arglist>(const TQString &amp;text, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a657f5d8ff4bfaf4fbdcb06f31ce0951b</anchor>
      <arglist>(int id, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>optionsChanged</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a8930ac96f7c34f1c2a923f423b78ae80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a7b8095f6465290037a18fb10e55303bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a39c9d472b36dd651d63b323d9dd5cc84</anchor>
      <arglist>(const TQString &amp;pattern, long options, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a715bced09968788da5898da98db4cb7b</anchor>
      <arglist>(const TQString &amp;pattern, long options, TQWidget *parent, TQWidget *findDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a57d3de5351a9271151bc7f7b11420fae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ac2aa31c56ce6137e2c15672643ec0d39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ae61cee8fb64849d69abf7020565cd1c7</anchor>
      <arglist>(const TQString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>af438f5f9dd234f86c5e90f1fbd874054</anchor>
      <arglist>(int id, const TQString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>aeca9357cf928ce7bf0e63e695e13572e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a5aac4ccbdf73d8ee87c332f7e41484c2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOptions</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ab81a0a207642b5040b7f70aa7554e2a6</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>pattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>afb302af7fb88c342f6d2ae64dec22206</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>aaa0528910ff3fbc12dc31a1a94b5d839</anchor>
      <arglist>(const TQString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numMatches</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a48e3acd3fc80b9209789b25269c5ece2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>afb374c90fc8ee5c1f21f84d934b0df35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>validateMatch</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a277dc8b8c842a8b2e0cda9f771d41792</anchor>
      <arglist>(const TQString &amp;text, int index, int matchedlength)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a0cdf16a51c2ddd48d647ef20faf4c5a8</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>afe38e946ffcdbfcc60597bd80e5dd032</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>findNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a27f97b3e09a67a156655e7a7b81ea871</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeFindNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a7463d233cf533cab1517a04a2bee0d59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a9000c1387affd5f1e95b81b6136cec3a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>acaf550d97e0abef0ba41be9809e60975</anchor>
      <arglist>(const TQString &amp;text, const TQString &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a4da41728ca74d3c05acec6b52aeb6523</anchor>
      <arglist>(const TQString &amp;text, const TQRegExp &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFindDialog</name>
    <filename>classKFindDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="enumeration">
      <type></type>
      <name>Options</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>WholeWordsOnly</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a5db7cf21128345e29602c83cf31eb19c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FromCursor</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a2c100196ebf03c67436f1132cd8f79be</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>SelectedText</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a74916e2d530bacb0b06c99a8b2e61bdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>CaseSensitive</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2aa072953f74644bdc0e459f4fe6227d4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FindBackwards</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2ac3d27a1c47e0d6fee6c0b6476c1a5ba8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>RegularExpression</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2ab05d90b001a3665b45d4ec4d1587f24d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>FindIncremental</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a09ee480d328c85c829b1ea760af72557</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>MinimumUserOption</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a940719022d63a2c2b57ba145dc03b37f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a73da180bfd6b97a3152ff55e10f133c2</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, long options=0, const TQStringList &amp;findStrings=TQStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af1f03ddf8a51ab986285a7a3aca923b7</anchor>
      <arglist>(bool modal, TQWidget *parent=0, const char *name=0, long options=0, const TQStringList &amp;findStrings=TQStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a430c00801898700de804e01a5bbf081d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFindHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a1613d3e9773b94893a111e3b08122993</anchor>
      <arglist>(const TQStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>findHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>ada4069f926dc676ab3caecff0f19aace</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasSelection</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>aa90691a0c749be71352ed4dd6a08ca63</anchor>
      <arglist>(bool hasSelection)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasCursor</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a6be903cddc210f1d687f47b345ba645a</anchor>
      <arglist>(bool hasCursor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsBackwardsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a47b113ace4556b15871844103f9acc1a</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsCaseSensitiveFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a87539c237ffabe9ecd5874d2c3932c8c</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsWholeWordsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a789152a36772e4619785038adc456730</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsRegularExpressionFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>aa11afefb57b18afcd0d7d1a6a0369349</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>ae512813bd5ec4da5bbb495e81edec9fb</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a7dc54f0e4005292eb28669b1c9b59946</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>pattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a3c0328aac68437d64df2b02a87b30121</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a00a042a5df061ba26bf6a93ecee4f787</anchor>
      <arglist>(const TQString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>findExtension</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>abec0f9f4edee8bf8da0e530d63167197</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBar</name>
    <filename>classKMultiTabBar.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>KMultiTabBarMode</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0c742143243f1af4e1314aefe0228a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Horizontal</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0c742143243f1af4e1314aefe0228a16a5dadb3be50644859ff39746a0aeaa6ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Vertical</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0c742143243f1af4e1314aefe0228a16afe09579a0c226a5eee45eb23145e9552</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>KMultiTabBarPosition</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Left</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81a4eb06652ff388e811245e9774d857aeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Right</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81ae2542940b6086aea190dbcb41943f514</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Top</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81a048e2477360454066139746f91284cc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Bottom</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81a622e0ffdaf4015357d3a275f2653677c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>KMultiTabBarStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>VSNET</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827ae4211116578a09724a5a9822aa865b28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>KDEV3</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827a662aeff664d13636fc3d64a66bee1cc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>KONQSBC</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827aeb717e65bc739e0c7d3837cd7f0da951</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>KDEV3ICON</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827a946c48526f0d2fceeb326f5316f19d6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>STYLELAST</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827ad9c565d065a3a8cee8d3f15c04499f84</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a109dd31e973ad206641356582e973e6c</anchor>
      <arglist>(KMultiTabBarMode bm, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a6671d93740d929dc29e3a74b048d96be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1ea43e335b533de359c5b985ac1f5380</anchor>
      <arglist>(const TQPixmap &amp;pic, int id=-1, TQPopupMenu *popup=0, const TQString &amp;not_used_yet=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a859735c1d2894592f72ffc4cdffea925</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a74b254d95b8d25d9bbdce4b27b25170b</anchor>
      <arglist>(const TQPixmap &amp;pic, int id=-1, const TQString &amp;text=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a4d40d8a6c782f9cc4bc14ccf58b3dc61</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a980a791e5e0ced19f44450f07cefea33</anchor>
      <arglist>(int id, bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTabRaised</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a11f1c4e15bdbee6dd5d842e5e5774c94</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>class KMultiTabBarButton *</type>
      <name>button</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>ac478b9971feb76407be43dbd7856c1a8</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>class KMultiTabBarTab *</type>
      <name>tab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a3d942bf481fae6127d9e5a622ade1f83</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>af9703bd69213a947ad2664a96fdebff8</anchor>
      <arglist>(KMultiTabBarPosition pos)</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarPosition</type>
      <name>position</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>ab05bd8358bfdc5faf643ad4fe390204a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a086faf12628a486a0e76ff8b66a2e7ed</anchor>
      <arglist>(KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarStyle</type>
      <name>tabStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a363e8c2cd6cc9ed0895f1cacfbbda7d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; KMultiTabBarTab &gt; *</type>
      <name>tabs</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a48035c2acf6be03119e0489e770a2e08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; KMultiTabBarButton &gt; *</type>
      <name>buttons</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>aee2c1a22499ded6e01df9e7144f97ece</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabTexts</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a3dc4ecb462dae3e8b1465ee64db9415f</anchor>
      <arglist>(bool show=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarButton</name>
    <filename>classKMultiTabBarButton.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a28a2d1c45ab1574aa05259e7e0a960b3</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a37c72768023035a048b700b2e3bb093f</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarStyle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>ad223ff6f2519e9f76b7497219f49d596</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a4cadfe9100574c003ef22326f9cd177a</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a853eddd04f99c8d604972b2c6ade7a34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>aa5edf5c8bdcfe1121ee4e34f36440ed1</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarTab</name>
    <filename>classKMultiTabBarTab.html</filename>
    <base>KMultiTabBarButton</base>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>ae31b214dec88f8d20d94e26c263f3de8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>aa7730576dccb4c0ab2ad6cbc66bae282</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabText</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a745d630a684af3d267dc6a23b85e8c7e</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a83866ba19205878481e087db34a8f5b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonStyled</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>af559c072599da712127f7be45803a648</anchor>
      <arglist>(TQPainter *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginInfo</name>
    <filename>classKPluginInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>aee45f5742d62f03eedb4f4a63a884816</anchor>
      <arglist>(const TQString &amp;filename, const char *resource=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a9a1dc91305cbcc4467dd8faefd9c54be</anchor>
      <arglist>(const KService::Ptr service)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHidden</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ae65db0e474f0047f2d55171d494c8ec3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ac453ae934eb0711dd88647b5d0f0d2dd</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>afc75fa17725a4264f0283f56f29d9f2b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPluginEnabledByDefault</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a43d49fdeb7245920813fed27fa97eaa6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQVariant</type>
      <name>property</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a050f9e6015e10928d8dfb8fdf63e5cba</anchor>
      <arglist>(const TQString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>TQVariant</type>
      <name>operator[]</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a2ccd90d1496cef1be0ad2df58dd34311</anchor>
      <arglist>(const TQString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>name</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ae5432f8359c406d72788c00a4506aaac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>comment</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a5c728593fe03c445a0f9517cce100504</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>icon</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a9ab08e5d0b056d3f84207746856fa4e6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>specfile</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a0f572a3f8e4c0b52150d8999f2af5620</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>author</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ad4407faaa2d50945d33f7e6ddd2160d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>email</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ad0097af999b2a55ebd11501827f58ef7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>category</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ab5c1d2b540fb5b5c88714eedc63fd8fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>pluginName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a97dd80fef892d773931a79ea62edf96f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>version</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a3665b44a228f48b1cd130f4d0ffa93ab</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>website</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a06018fd59ea5bd9b1432c2cb63110285</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>license</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ab48a0aefa672cd58f64a44c0bf1099b1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQStringList &amp;</type>
      <name>dependencies</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>afeeb2f93890ef04ce6e6accc55a4f18c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a8595e32a60c731324c4f52fd2d4987f2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQValueList&lt; KService::Ptr &gt; &amp;</type>
      <name>kcmServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ae6849ce660de55b2dee5e05f417e39b7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfig</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a5bb03b9fa74bdc33a182b7ae2a492839</anchor>
      <arglist>(KConfig *config, const TQString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>config</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a55e3ca97ab8c828f5958273e473d1660</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>configgroup</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>aabdf5299a2d810f5571322bffbc500be</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ac00ca2189951997945691a41aff3f84e</anchor>
      <arglist>(KConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a796193851fff1ae1ae0865f68623d4a9</anchor>
      <arglist>(KConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ab2d62b88fec5f9fa67f9b18ca87f0234</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a5f9c3552e01aebb368108396d2cd70fd</anchor>
      <arglist>(const KService::List &amp;services, KConfig *config=0, const TQString &amp;group=TQString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromFiles</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>acb34761d0b83991a75c07c8713b53396</anchor>
      <arglist>(const TQStringList &amp;files, KConfig *config=0, const TQString &amp;group=TQString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromKPartsInstanceName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a8db1fe6aec9fe407e1dd45f7ae50118e</anchor>
      <arglist>(const TQString &amp;, KConfig *config=0, const TQString &amp;group=TQString::null)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginSelector</name>
    <filename>classKPluginSelector.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>aa52dd0b1a3a871756def87c2c9d6918c</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>aad1291bd09b71d0d2e482ebfee7e651f</anchor>
      <arglist>(const TQCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginSelector</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a788bac6bcfe1f1ce548cfdbc29d69c33</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>afa7c40426f493a2d0beb7f672f0bd3c2</anchor>
      <arglist>(const TQString &amp;instanceName, const TQString &amp;catname=TQString::null, const TQString &amp;category=TQString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a56e899a3eccd18537f52ff2f5fc7bdf8</anchor>
      <arglist>(const KInstance *instance, const TQString &amp;catname=TQString::null, const TQString &amp;category=TQString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a2251fb07bbb1fe65f08a7433bc8d244f</anchor>
      <arglist>(const TQValueList&lt; KPluginInfo * &gt; &amp;plugininfos, const TQString &amp;catname=TQString::null, const TQString &amp;category=TQString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowEmptyConfigPage</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a312919a6575d2952dbe82209832b9247</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ab028a22b586d0698f61cb3f5b54ae7b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ad9e0185ec6b1ab4dbb532b92d52496d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ac8e384839a14d0bdf17c0c8a6a93d7cb</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplace</name>
    <filename>classKReplace.html</filename>
    <base>KFind</base>
    <member kind="signal">
      <type>void</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a1fe8a819b3e789ed31b93cb1b16b4b0d</anchor>
      <arglist>(const TQString &amp;text, int replacementIndex, int replacedLength, int matchedLength)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>acc4ecd8911fc7cce1b29b32b5055eba5</anchor>
      <arglist>(const TQString &amp;pattern, const TQString &amp;replacement, long options, TQWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>aeedf9e096ee9f7555eaac9da8c325a17</anchor>
      <arglist>(const TQString &amp;pattern, const TQString &amp;replacement, long options, TQWidget *parent, TQWidget *replaceDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>ae1867c23a1a814d7a341ccdb203eb141</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numReplacements</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>ad8d728e77616b2e0554d4d1390f1afb0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a9a17ef8077940fe22bc4596308e3b513</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>abcdf792c73f9971964db69a90a36c030</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>replaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a7145c5261063c8e789da58062c7ceb11</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeReplaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>ac7c64ccb2e4a416507774ed8d6781cfe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a7988a0b910f65e972ef7d12c8a538f01</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a97ff667380c4adb8916bd0cbcf96f512</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a40f53719e8fde92c9a6e6e792ffd00e0</anchor>
      <arglist>(TQString &amp;text, const TQString &amp;pattern, const TQString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a179f660c6b9f1d364e73c11e705941d8</anchor>
      <arglist>(TQString &amp;text, const TQRegExp &amp;pattern, const TQString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplaceDialog</name>
    <filename>classKReplaceDialog.html</filename>
    <base>KFindDialog</base>
    <member kind="enumeration">
      <type></type>
      <name>Options</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ac1bbf85bce9e1fc016fc9146e2de413d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>PromptOnReplace</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ac1bbf85bce9e1fc016fc9146e2de413da7d7b7b184c2f0f654b3a6625525c10b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a70f8f34e5039386488132d0c1822d73f</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, long options=0, const TQStringList &amp;findStrings=TQStringList(), const TQStringList &amp;replaceStrings=TQStringList(), bool hasSelection=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a87f5246ff389c39d86417b6569ca1e16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a2c4046c43dbe544ff5c963515cab8cf0</anchor>
      <arglist>(const TQStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>replacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a251d8f02f69cc95aff1a15cb30ca7516</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a700baff2041d9fc8db6b26310061ca94</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a998b98210fc15efea0b4af4bea3de8c2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>replacement</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>abc1af7b8f3e4613939f9f227dfec147a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>replaceExtension</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ac60f80bfdb7c36c1bf32ec3b9f84c6c1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KSettings</name>
    <filename>namespaceKSettings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="class">
    <name>KSettings::ComponentsDialog</name>
    <filename>classKSettings_1_1ComponentsDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>ComponentsDialog</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>ae267572363ee491cda946d888740f1cd</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfo</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>afc8b1cc92e1f016b3946e8c69c562257</anchor>
      <arglist>(KPluginInfo *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a48670fafcb2d1f6c8038527e0e5aa5fd</anchor>
      <arglist>(const TQMap&lt; TQString, KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>af40f1ebaad83a1a55c46f9228e070372</anchor>
      <arglist>(const TQValueList&lt; KPluginInfo * &gt; &amp;plugins)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>adcbed79beb4fd2da550722f41de0d6ac</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dialog</name>
    <filename>classKSettings_1_1Dialog.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>ContentInListView</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0e9d24a330999f1accd4d85cc03e2ff8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Static</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0e9d24a330999f1accd4d85cc03e2ff8a0e93fe741196b7f3372582e241c6de29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Configurable</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0e9d24a330999f1accd4d85cc03e2ff8a7282e6771a1a979f50a3556e24a15cf6</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>ab5095a88e53d108e543b1364253f0e65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pluginSelectionChanged</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a042e3d089adcd43091b36bdc6c039e95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a213ec70b1892ddaf594970d4e80d7c17</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a61a7f41d6d71eda755c2cd422a508add</anchor>
      <arglist>(ContentInListView content=Static, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>ab46b4dfdbfaa42cdbd2e8ba5f4936245</anchor>
      <arglist>(const TQStringList &amp;components, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>ada6752bc8e19bc627ad7cccfb3ee6888</anchor>
      <arglist>(const TQStringList &amp;components, ContentInListView content, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfos</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a32e2c61924fd8b2ef51833c32473ef73</anchor>
      <arglist>(const TQValueList&lt; KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dispatcher</name>
    <filename>classKSettings_1_1Dispatcher.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a9aabbc419c3d65721b563febc63f5418</anchor>
      <arglist>(const TQCString &amp;instanceName)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>syncConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a0bdd0012d29c2b1d681ae43f622a5916</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerInstance</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a344155ea9f6fccff591ca94a5254e754</anchor>
      <arglist>(KInstance *instance, TQObject *recv, const char *slot)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>configForInstanceName</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a3cd5d89039f78e17396d49ead0c587df</anchor>
      <arglist>(const TQCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type>TQStrList</type>
      <name>instanceNames</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a25438660de97c34b22ae66bd0d24f16f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Dispatcher *</type>
      <name>self</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a1686a1e21454ee58c826d4c0b4e60369</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::PluginPage</name>
    <filename>classKSettings_1_1PluginPage.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>aec5ab2145f2f9ad6d15a35dd57279181</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a1e891763cd513e0060fc02ae0c92c76a</anchor>
      <arglist>(KInstance *instance, TQWidget *parent=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type>KPluginSelector *</type>
      <name>pluginSelector</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a2c3cdac8e08ed50517a29e69fd9a3e93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>afd9147583571e4311fcda38dbd79f834</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>aa37cc2f685db2c49c0b30c5754f89d66</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>ksettings</name>
    <path>kdelibs/kutils/ksettings/</path>
    <filename>dir_295324aa67d24cf8f657a732326d6c5b.html</filename>
    <file>componentsdialog.cpp</file>
    <file>componentsdialog.h</file>
    <file>dialog.cpp</file>
    <file>dialog.h</file>
    <file>dispatcher.cpp</file>
    <file>dispatcher.h</file>
    <file>pluginpage.cpp</file>
    <file>pluginpage.h</file>
  </compound>
  <compound kind="dir">
    <name>kutils</name>
    <path>kdelibs/kutils/</path>
    <filename>dir_e1de78a29c810b532a5437dd27e606a4.html</filename>
    <dir>ksettings</dir>
    <file>kcmodulecontainer.cpp</file>
    <file>kcmodulecontainer.h</file>
    <file>kcmoduleinfo.cpp</file>
    <file>kcmoduleinfo.h</file>
    <file>kcmoduleloader.cpp</file>
    <file>kcmoduleloader.h</file>
    <file>kcmoduleproxy.cpp</file>
    <file>kcmoduleproxy.h</file>
    <file>kcmoduleproxyIface.h</file>
    <file>kcmoduleproxyIfaceImpl.cpp</file>
    <file>kcmoduleproxyIfaceImpl.h</file>
    <file>kcmultidialog.cpp</file>
    <file>kcmultidialog.h</file>
    <file>kfind.cpp</file>
    <file>kfind.h</file>
    <file>kfinddialog.cpp</file>
    <file>kfinddialog.h</file>
    <file>kmultitabbar.cpp</file>
    <file>kmultitabbar.h</file>
    <file>kplugininfo.cpp</file>
    <file>kplugininfo.h</file>
    <file>kpluginselector.cpp</file>
    <file>kpluginselector.h</file>
    <file>kreplace.cpp</file>
    <file>kreplace.h</file>
    <file>kreplacedialog.cpp</file>
    <file>kreplacedialog.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Some random bits and pieces</title>
    <filename>index</filename>
  </compound>
</tagfile>
