<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>module.h</name>
    <path>kdelibs/kunittest/</path>
    <filename>module_8h</filename>
    <includes id="runner_8h" name="runner.h" local="no" imported="no">kunittest/runner.h</includes>
    <namespace>KUnitTest</namespace>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_MODULE</name>
      <anchorfile>module_8h.html</anchorfile>
      <anchor>a575d7139957626186dfcf0876344606f</anchor>
      <arglist>(library, suite)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_MODULE_REGISTER_TESTER</name>
      <anchorfile>module_8h.html</anchorfile>
      <anchor>acdb9aa969d8df77112699dd5e1c64ad1</anchor>
      <arglist>(tester)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_MODULE_REGISTER_NAMEDTESTER</name>
      <anchorfile>module_8h.html</anchorfile>
      <anchor>a15826ba5edbbfb8685679f3abafab2f0</anchor>
      <arglist>(name, tester)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>runner.h</name>
    <path>kdelibs/kunittest/</path>
    <filename>runner_8h</filename>
    <includes id="tester_8h" name="tester.h" local="yes" imported="no">tester.h</includes>
    <class kind="class">KUnitTest::Runner</class>
    <class kind="class">KUnitTest::TesterAutoregister</class>
    <namespace>KUnitTest</namespace>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_SUITE</name>
      <anchorfile>runner_8h.html</anchorfile>
      <anchor>aa7b876841a47e0102949946e21301b1d</anchor>
      <arglist>(suite)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_REGISTER_TESTER</name>
      <anchorfile>runner_8h.html</anchorfile>
      <anchor>ac1af23b0a525c05b4c17c5f16f7be550</anchor>
      <arglist>(tester)</arglist>
    </member>
    <member kind="typedef">
      <type>TQAsciiDict&lt; Tester &gt;</type>
      <name>RegistryType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a018eeb3bbe42ab0e2bb51c57c6c3300d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TQAsciiDictIterator&lt; Tester &gt;</type>
      <name>RegistryIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a4281558f47d4d1859a8e40db3a5250ec</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>tester.h</name>
    <path>kdelibs/kunittest/</path>
    <filename>tester_8h</filename>
    <class kind="class">KUnitTest::TestResults</class>
    <class kind="class">KUnitTest::Tester</class>
    <class kind="class">KUnitTest::SlotTester</class>
    <namespace>KUnitTest</namespace>
    <member kind="define">
      <type>#define</type>
      <name>CHECK</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a4fd95491287cc131e6ae4f5dafc26ac1</anchor>
      <arglist>(x, y)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>COMPARE</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a34d12e2e386464a40aff3b4d9cf7019e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VERIFY</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a3675cf895544424c921cf6f8f5e91887</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>XFAIL</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a083ae9c5c4eda5232b45ec2e1f8f1801</anchor>
      <arglist>(x, y)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SKIP</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a634ab9b9480188b1ed710cbedd91f156</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CHECK_EXCEPTION</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a0b66e2c1e37fa4ef3d20468f6c478234</anchor>
      <arglist>(exceptionCatch, expression)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>XFAIL_EXCEPTION</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>aa9792f7d211cb95f23e38ab30f7aad9d</anchor>
      <arglist>(exceptionCatch, expression)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SKIP_EXCEPTION</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a6f8532018c41967598a798ae9e3ed943</anchor>
      <arglist>(exceptionCatch, expression)</arglist>
    </member>
    <member kind="typedef">
      <type>TQAsciiDictIterator&lt; TestResults &gt;</type>
      <name>TestResultsListIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a032f861d07024e8fe0c407631c5bbdc9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KUnitTest</name>
    <filename>namespaceKUnitTest.html</filename>
    <class kind="class">KUnitTest::Runner</class>
    <class kind="class">KUnitTest::TesterAutoregister</class>
    <class kind="class">KUnitTest::TestResults</class>
    <class kind="class">KUnitTest::Tester</class>
    <class kind="class">KUnitTest::SlotTester</class>
    <member kind="typedef">
      <type>TQAsciiDict&lt; Tester &gt;</type>
      <name>RegistryType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a018eeb3bbe42ab0e2bb51c57c6c3300d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TQAsciiDictIterator&lt; Tester &gt;</type>
      <name>RegistryIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a4281558f47d4d1859a8e40db3a5250ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TQAsciiDictIterator&lt; TestResults &gt;</type>
      <name>TestResultsListIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>a032f861d07024e8fe0c407631c5bbdc9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::Runner</name>
    <filename>classKUnitTest_1_1Runner.html</filename>
    <member kind="slot">
      <type>int</type>
      <name>runTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a51b6c4f003e220d1c4d94e64308d1733</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>runTest</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a0a88f41817d5b05f69314e3e945142aa</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>runMatchingTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>ac11f3ed8cb3dce78891fe188cfe148e7</anchor>
      <arglist>(const TQString &amp;prefix)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a9d020e0846f094d65bd907362a6a730e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>ad643ae95b4122771a3f59acc32e896e0</anchor>
      <arglist>(const char *name, Tester *test)</arglist>
    </member>
    <member kind="function">
      <type>RegistryType &amp;</type>
      <name>registry</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a3cd1272048ec880f995f3d4982608c59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfTestCases</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>add46ea27cc802e2c3e605ed674a9baa8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>af88911685ad663aa6e2dec6e366e6870</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfPassedTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a8e040e6b316d618a501d10c84fe18d61</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfFailedTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a1020ab59b6cb4c6a3d4aab48eabaa71e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfExpectedFailures</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a8f99bf977d920827bc927b18115e1242</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfSkippedTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>ae6a6453c76c1a839061b21f2978033cb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>registerTester</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a709265a9964265f29ad21f146923db6e</anchor>
      <arglist>(const char *name, Tester *test)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Runner *</type>
      <name>self</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>ab86c6491c3420ce30839d487d975a187</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadModules</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>a9e5173001773f6ac3bad3f682b9b23b0</anchor>
      <arglist>(const TQString &amp;folder, const TQString &amp;query)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDebugCapturingEnabled</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>ae1376bfafbb49258b49e5ff9d5a94046</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::TesterAutoregister</name>
    <filename>classKUnitTest_1_1TesterAutoregister.html</filename>
    <member kind="function">
      <type></type>
      <name>TesterAutoregister</name>
      <anchorfile>classKUnitTest_1_1TesterAutoregister.html</anchorfile>
      <anchor>a1514148cb5082cce8a334791f352a108</anchor>
      <arglist>(const char *name, Tester *test)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::TestResults</name>
    <filename>classKUnitTest_1_1TestResults.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a5b36078bb4faf886800e5e907d6f87ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addDebugInfo</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>aa275a01be77ca561bddda0c5be876bda</anchor>
      <arglist>(const TQString &amp;debug)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>debugInfo</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>af24eb04cdbffc6a298456abe19dc5de9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>testsFinished</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a3e5fba6de31feb41a69ad1edf4eda319</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>errors</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a9ad030e7703f192ad710661fb1251501</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>xfails</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a3ff3df9b8c6715baca9d869ff9b3f52d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>xpasses</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a8d18d0cc04ad0a5685f2fe3ced4a76b8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>skipped</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>adfb6d89cb61b5f0de33a64d901075cf2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>passed</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a2b305cad31221b45b491c13f48cb5b85</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>errorList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a219d405580080fe28fd984360a719b7b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>xfailList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a4fc8b3f87fe6dae34a284a9abb267e70</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>xpassList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>aa5aa6423ea8b4a17d94f46a4fb4f885e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>skipList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>a2aeeb84a23208546e59abb9fb8cfbb48</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>successList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>afaf08bdbf83710935b8a895898d4a7a9</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::Tester</name>
    <filename>classKUnitTest_1_1Tester.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>allTests</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>afe8bb74f8b4ffa16de35295745521ec3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TestResults *</type>
      <name>results</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a15f8d8d441fef63d312bcc303c249024</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>skip</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>aa78f5cd103dde8b04588371c6524bf1b</anchor>
      <arglist>(const char *file, int line, TQString msg)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>check</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a278c8ee2e8116a8fe0cc13776cb66bad</anchor>
      <arglist>(const char *file, int line, const char *str, const T &amp;result, const T &amp;expectedResult, bool expectedFail)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>success</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a9170218b8cd4a07a2afc21b69d426d8c</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>failure</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a97cb0972d18dbcfc3a3fe9703963a90b</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>expectedFailure</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a2012e27670bf094a0c298d78e29817aa</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unexpectedSuccess</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>ac19bb788d0e8d551bd6d512116b2b1ed</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>skipTest</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>aa23c64f1522d575ebd4eb6becd1fe291</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setExceptionRaised</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>ae5ac649eceaabf3437aeecb26984bbb8</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>exceptionRaised</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>ae5bd5ef1083bd8b16e1335c568cbd5d4</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::SlotTester</name>
    <filename>classKUnitTest_1_1SlotTester.html</filename>
    <base>KUnitTest::Tester</base>
    <member kind="function">
      <type>void</type>
      <name>allTests</name>
      <anchorfile>classKUnitTest_1_1SlotTester.html</anchorfile>
      <anchor>a0eef2178fb1996e722ee66b93ae2c0df</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>kunittest</name>
    <path>kdelibs/kunittest/</path>
    <filename>dir_cbbd467f4f820389194ed3f96ab2aa1c.html</filename>
    <file>modrunner.cpp</file>
    <file>module.h</file>
    <file>runner.cpp</file>
    <file>runner.h</file>
    <file>samplemodule.cpp</file>
    <file>samplemodule.h</file>
    <file>tester.cpp</file>
    <file>tester.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>KUnitTest - a UnitTest library for KDE</title>
    <filename>index</filename>
    <docanchor file="index" title="Contents">contents</docanchor>
    <docanchor file="index" title="Background">background</docanchor>
    <docanchor file="index" title="Example usage">usage</docanchor>
    <docanchor file="index" title="Integration">integration</docanchor>
    <docanchor file="index" title="Creating test modules">module</docanchor>
    <docanchor file="index" title="Advanced usage">advanced</docanchor>
    <docanchor file="index" title="Exceptions">exceptions</docanchor>
    <docanchor file="index" title="Scripts">scripts</docanchor>
  </compound>
</tagfile>
